--
-- Author: KK
-- Date: 2014-07-04 10:12:57
--
--[[
--子弹的数据
BulletData[1] = {
	rotate = true, --子弹是否有朝向。
	startDist = 30, --子弹射出的位置。即炮口的位置。
	level = {
		[1] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[2] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[3] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[4] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
			angerPic = "#slowBuffer.png",
			slowEffect = 0.7,
			slowTime = 5,
		},
	}
}
--]]

--bullet
BulletData = {}
BulletData[1] = {
	rotate = true,
	startDist = 35,
	level = {
		[1] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[2] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[3] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
		},
		[4] = {
			pic = "B01_0.png", --普通图片
			actBomb = "B01_explode", --打中的动画。
			angerPic = "slowBuffer.png",
			slowEffect = 0.7,
			slowTime = 5,
		},
	}
}

--牙膏子弹
BulletData[2] = {
	rotate = true,
	slowPic = "B02_1.png",
	level = {
		[1] = {
			slowEffect = 0.6,
			slowTime = 3,
			pic = "B02_0.png",
			actBomb = "B02_explode",
		},
		[2] = {
			slowEffect = 0.5,
			slowTime = 3,
			pic = "B02_0.png",
			actBomb = "B02_explode",
		},
		[3] = {
			slowEffect = 0.4,
			slowTime = 3,
			pic = "B02_0.png",
			actBomb = "B02_explode",
		},
		[4] = {
			slowTime = 5,
			pic = "B02_0.png",
			actBomb = "B02_explode",
		},
	}
}

--穿透
BulletData[3] = {
	level = {
		[1] = {
			pic = "B03_1_0.png",
			actBomb = "B03_bomb",
		},
		[2] = {
			pic = "B03_2_0.png",
			actBomb = "B03_bomb",
		},
		[3] = {
			pic = "B03_3_0.png",
			actBomb = "B03_bomb",
		},
		[4] = {
			pic = "B03_3_0.png",
			actBomb = "B03_bomb",
		},
	}
}
--泳圈兔子弹
BulletData[5] = {
	level = {
		[1] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
		[2] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
		[3] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
		[4] = {
			speed = 10,
			attack = 20,
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
			angerPic = "#B01_001.png",
			slowEffect = 0.5,
			slowTime = 3,
		},
	}
}

BulletData[6] = {
	slowPic = "slowBuffer2.png",
	level = {
		[1] = {
			pic = "bigwalker_died1.png",
			actBomb = "B06_bomb",
			slowEffect = 0.5,
			slowTime = 1,
		},
		[2] = {
			pic = "bigwalker_died1.png",
			actBomb = "B06_bomb",
			slowEffect = 0.5,
			slowTime = 1,
		},
		[3] = {
			pic = "bigwalker_died1.png",
			actBomb = "B06_bomb",
			slowEffect = 0.5,
			slowTime = 1,
		},
		[4] = {
			speed = 8,
			attack = 35,
			pic = "#bigwalker_died1.png",
			actBomb = "B06_bomb",
			slowEffect = 1,
			slowTime = 7,
		},
	}
}

--弹弓的一颗子弹
BulletData[7] = {
	rotate = true, --子弹是否有朝向。
	level = {
		[1] = {
			pic = "B07_1_0.png",
			actBomb = "B07_bomb",
		},
		[2] = {
			pic = "B07_2_0.png",
			actBomb = "B07_bomb",
		},
		[3] = {
			pic = "B07_3_0.png",
			actBomb = "B07_bomb",
		},
		[4] = {
			speed = 6,
			attack = 50,
			pic = "B07_4_0.png",
			actBomb = "B07_bomb",
		},
	}
}

--消防兔子弹
BulletData[9] = {
	level = {
		[1] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
		[2] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
		[3] = {
			pic = "B01_001.png", --普通图片
			actBomb = "B01_bomb", --打中的动画。
		},
	}
}

--脸谱兔链接子弹
BulletData[11] = {
	startDist = 0,
	level = {
		[1] = {
			pic = "B11_1.png",
			actBomb = "B11_Ani",
		},
		[2] = {
			pic = "B11_1.png",
			actBomb = "B11_Ani",
		},
		[3] = {
			pic = "B11_1.png",
			actBomb = "B11_Ani",
		},
		[4] = {
			pic = "B11_1.png",
			actBomb = "B11_Ani",
		},
	}
}

BulletData[12] = {
	level = {
		[1] = {
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}

--运动兔子弹回旋镖
BulletData[13] = {
	level = {
		[1] = {
			dist = 4,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			dist = 4,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			dist = 4,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[4] = {
			dist = 4,
            speed = 6,
            attack = 57,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}

--跟踪溅射弹
BulletData[15] = {
	--attackSplit = 10,
	level = {
		[1] = {
			speed = 4.68, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 20, --攻击力
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			speed = 6,
			attack = 30,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			speed = 7,
			attack = 40,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[4] = {
			speed = 8,
			attack = 50,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}

--火焰塔光圈弹
BulletData[16] = {
	level = {
		[1] = {
			pic = "B16_1.png",
			actBomb = "B16_Ani",
		},
		[2] = {
			pic = "B16_1.png",
			actBomb = "B16_Ani",
		},
		[3] = {
			pic = "B16_1.png",
			actBomb = "B16_Ani",
		},
	}
}

--吉它兔子弹
BulletData[18] = {
	slowPic = "iceBuffer.png",
	weakPic = "iceBuffer.png",
	level = {
		[1] = {
			slowEffect = 0.5,
			slowTime = 2,
			pic = "B18_1.png",
			actBomb = "B18_Ani",
		},
		[2] = {
			slowEffect = 0.5,
			slowTime = 2,
			pic = "B18_1.png",
			actBomb = "B18_Ani",
		},
		[3] = {
			slowEffect = 0.5,
			slowTime = 2,
			pic = "B18_1.png",
			actBomb = "B18_Ani",
		},
		[4] = {
			hurtEffect = 2,
			slowEffect = 0.3,
			weakTime = 5,
			attack = 30,
			pic = "B18_1.png",
			actBomb = "B18_Ani",
		},
	}
}

--跟踪晕弹
BulletData[20] = {
	dizzyPic = "slowBuffer.png",
	level = {
		[1] = {
			speed = 4.68, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 20, --攻击力
			dizzyChance = 0.2,
			dizzyTime = 3,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			speed = 6,
			attack = 30,
			dizzyChance = 0.2,
			dizzyTime = 3,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			speed = 7,
			attack = 40,
			dizzyChance = 0.2,
			dizzyTime = 3,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[4] = {
			speed = 8,
			attack = 50,
			dizzyChance = 0.2,
			dizzyTime = 3,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}

--不用的
BulletData[24] = {
	speed = 2.34,
	attack = 10,
	level = {
		[1] = {
			speed = 4.34, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 20, --攻击力
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			speed = 6,
			attack = 30,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			speed = 7,
			attack = 40,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[4] = {
			speed = 8,
			attack = 50,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}


BulletData[103] = {
	level = {
		[1] = {
			speed = 4.68, --子弹移动速度。格子数，实际要乘以地图每格长度。
			pic = "B103_1.png",
			actBomb = "B103_bomb",
		},
	}
}

BulletData[121] = {
	level = {
		[1] = {
			speed = 4.68, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 20, --攻击力
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[2] = {
			speed = 6,
			attack = 30,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[3] = {
			speed = 7,
			attack = 40,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
		[4] = {
			speed = 8,			
			attack = 50,
			pic = "B01_001.png",
			actBomb = "B01_bomb",
		},
	}
}

BulletData[142] = {
	buffPic = "#bullet142_4.png",
	level = {
		[1] = {
			speed = 2, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 0, --攻击力
			pic = "bullet142_1.png",
			actBomb = "bullet142_bomb",
		},
	}
}

BulletData[162] = {
	level = {
		[1] = {
			speed = 4.68, --子弹移动速度。格子数，实际要乘以地图每格长度。
			attack = 20, --攻击力
			pic = "E62_bullet.png",
		},
	}
}
