--
-- Author: KK
-- Date: 2014-07-04 10:13:04
--

--[[
--怪的数据
EnemyData[1] = {
	pic = "#C-1_01.png", -- 普通图片
	hurtFrame = "C-1-hurt.png",  --受击状态图片
	actMove = "C_1_Move", --移动的动画，资源在ResData.lua中定义
	speed = 60, --移动速度。格子数，实际要乘以地图每格长度。
	hp = 600, --血量
	earn = 100, --打死赚多少钱。如果有变身就是变身之后打死的钱。
	changeTo = 2, --打完这个怪变身成另一个怪。
	attackCD = 5, --攻击CD
	attackFirstTime = 2, --第一次攻击时间。
}
--]]

-- enemy
EnemyData = {}

EnemyData.common = {
	deadPic = "#explosion_died_demotion_1.png",
	deadAni = "explosion",
	firePic = "firing1.png",
	fireAni = "firing"
}
--萝卜
EnemyData[1] = {
	name = "萝卜怪",
	pic = "E01_1.png",
	hurtFrame = "E01_1.png",
	actMove = "E01_move",
	attackAct = "E01_attack",
	text = "",
	textEnglish = "",
}
--西红柿
EnemyData[2] = {
	name = "西红柿怪",
	pic = "E02_1.png",
	hurtFrame = "E02_hurt.png",
	actMove = "E02_move",
	attackAct = "E02_attack",
	text = "",
	textEnglish = "",
}
--菜花
EnemyData[3] = {
	name = "菜花怪",
	pic = "E03_1.png", 
	hurtFrame = "E03_1.png",
	actMove = "E03_move",
	attackAct = "E03_attack",
	bulletIdx = 103,
	text = "",
	textEnglish = "",
}
--豌豆
EnemyData[4] = {
	name = "豌豆怪",
	pic = "E04_1.png",
	hurtFrame = "E04_1.png",
	actMove = "E04_move",
	attackAct = "E04_attack",
	text = "",
	textEnglish = "",
}
--土豆
EnemyData[5] = {
	name = "土豆怪",
	pic = "E05_1.png",
	hurtFrame = "E05_1.png",
	actMove = "E05_move",
	attackAct = "E05_attack",
	text = "",
	textEnglish = "",
}
--白菜
EnemyData[6] = {
	name = "白菜怪",
	pic = "E06_1.png",
	hurtFrame = "E06_1.png",
	actMove = "E06_move",
	attackAct = "E06_attack",
	text = "",
	textEnglish = "",
}

--冰块萝卜
EnemyData[7] = {
	name = "冰块萝卜",
	pic = "E07_1.png",
	actMove = "E07_move",
	attackAct = "E07_attack",
	text = "",
	textEnglish = "",
}

--冰块番茄
EnemyData[8] = {
	name = "冰块番茄",
	pic = "E08_1.png",
	actMove = "E08_move",
	attackAct = "E08_attack",
	text = "",
	textEnglish = "",
}

--冰块菜花
EnemyData[9] = {
	name = "冰块菜花",
	pic = "E09_1.png",
	actMove = "E09_move",
	attackAct = "E09_attack",
	text = "",
	textEnglish = "",
}

--冰块土豆
EnemyData[10] = {
	name = "冰块土豆",
	pic = "E10_1.png",
	actMove = "E10_move",
	attackAct = "E10_attack",
	text = "",
	textEnglish = "",
}

--冰块白菜
EnemyData[11] = {
	name = "冰块白菜",
	pic = "E11_1.png",
	actMove = "E11_move",
	attackAct = "E11_attack",
	text = "",
	textEnglish = "",
}
--盾牌萝卜
EnemyData[12] = {
	pic = "E12_1.png",
	actMove = "E12_move",
	attackAct = "E12_attack",
	text = "",
	textEnglish = "",
}

--头饰番茄
EnemyData[13] = {
	pic = "E13_1.png",
	actMove = "E13_move",
	attackAct = "E13_attack",
	text = "",
	textEnglish = "",
}

--头饰菜花
EnemyData[14] = {
	pic = "E14_1.png",
	actMove = "E14_move",
	attackAct = "E14_attack",
	text = "",
	textEnglish = "",
}

--头饰土豆
EnemyData[15] = {
	pic = "E15_1.png",
	actMove = "E15_move",
	attackAct = "E15_attack",
	text = "",
	textEnglish = "",
}

--草裙萝卜
EnemyData[16] = {
	pic = "E16_1.png",
	actMove = "E16_move",
	attackAct = "E16_attack",
	text = "",
	textEnglish = "",
}

--遮阳帽番茄
EnemyData[17] = {
	pic = "E17_1.png",
	actMove = "E17_move",
	attackAct = "E17_attack",
	text = "",
	textEnglish = "",
}

--泳圈豌豆
EnemyData[18] = {
	pic = "E18_1.png",
	actMove = "E18_move",
	attackAct = "E18_attack",
	text = "",
	textEnglish = "",
}

--泳圈土豆
EnemyData[19] = {
	pic = "E19_1.png",
	actMove = "E19_move",
	attackAct = "E19_attack",
	text = "",
	textEnglish = "",
}

--泳圈白菜
EnemyData[20] = {
	pic = "E20_1.png",
	actMove = "E20_move",
	attackAct = "E20_attack",
	text = "",
	textEnglish = "",
}

--辣椒怪
EnemyData[41] = {
	name = "辣椒怪",
	pic = "E41_1.png",
	actMove = "E41_move",
	attackAct = "E41_attack",
	actWhistle = "E41_whistle",
	attackFirstTime = 1.5,
	--actMove2 = "E41b_move",
	--attackAct2 = "E41b_attack",
	text = "当辣椒怪吹响口哨，\n它周围怪物的移动\n速度会加快",
	textEnglish = "It will increase the speed of the monster around it when the pepper blow his whistle.",
	enemyType = "Elite",--精英为"Elite"，boss为"Boss",普通怪没有enemyType属性
}

--洋葱怪
EnemyData[42] = {
	name = "洋葱怪",
	pic = "E42_1.png", -- 普通图片
	--hurtFrame = "xiezi1.png",  --受击状态图片
	actMove = "E42_move", --移动的动画，资源在ResData.lua中定义
	attackFirstTime = 2,
	attackAct = "E42_attack",
	--magicAct = "E42_magic",
	text = "洋葱怪拥有极高的\n血量，击中火力消\n灭它",
	textEnglish = "",
}

--蘑菇怪
EnemyData[43] = {
	name = "蘑菇怪",
	pic = "E43_1.png", -- 普通图片
	actMove = "E43_fly",
	attackAct = "E43_attack",
	--pic2 = "E43b_1.png",
	--actWalk = "E43b_move",
	--attackAct = "E43b_attack",
	text = "移动速度极快，用\n带有减速效果的炮\n塔消灭它",
	textEnglish = "",
}

--黄瓜怪
EnemyData[44] = {
	name = "黄瓜怪",
	pic = "E44_1.png",
	actMove = "E44_move",
	attackAct = "E44_attack",
	magicAct = "E44_magic",
	text = "黄瓜怪的血量和攻\n击力都很高，用你\n的英雄挡住它",
	textEnglish = "",
}

--竹笋怪
EnemyData[45] = {
	name = "竹笋怪",
	pic = "E45_under_1.png", -- 普通图片
	hurtFrame = "E45_under_1.png",  --受击状态图片
	actMove = "E45_move", --移动的动画，资源在ResData.lua中定义
	attackAct = "E45_attack",
	actPic = "E45_under_1.png",
	actGrow = "E45_grow",
	actUnder = "E45_under",
	text = "竹笋怪会突然钻出\n来，在它们露出笋\n尖的时候消灭它们",
	textEnglish = "",
}

--玉米怪
EnemyData[46] = {
	name = "玉米怪",
	pic = "E46_1.png",
	actMove = "E46_move",
	attackAct = "E46_attack",
	picExplode = "E46_explode_1.png",
	actExplode = "E46_explode",
	--actMove2 = "E46b_move",
	--attackAct2 = "E46b_attack",
	text = "玉米怪的攻击力非\n常高，保证你的英\n雄拥有足够的血量",
	textEnglish = "",
}

--大葱怪
EnemyData[47] = {
	name = "大葱怪",
	anchor = {0.7,0.1},
	pic = "E47_1.png",
	actMove = "E47_move",
	attackAct = "E47_attack",
	actDo = "E47_jump", --跨越动作。
	--pic2 = "E47b_1.png",
	--actMove2 = "E47b_move",
	--attackAct2 = "E47b_attack",
	--actDo2 = "E47b_jump", --跨越动作。
	text = "",
	textEnglish = "",
}

--水萝卜
EnemyData[48] = {
	name = "水萝卜",
	pic = "E48_under1.png", -- 普通图片
	actMove = "E48_move1", --移动的动画，资源在ResData.lua中定义
	actOffWater = "E48_offWater",
	actMove2 = "E48_move2", --上岸移动动画。
	text = "",
	textEnglish = "注意！水萝卜在水\n里的时候是无法被\n攻击的。",
}

--幽灵怪
EnemyData[50] = {
	name = "幽灵怪",
	pic = "E50_1.png",
	actMove = "E50_move",
	text = "它们会突然隐身，\n此时你无法攻击它\n们",
	textEnglish = "",
}

--吸血鬼怪
EnemyData[61] = {
	name = "吸血鬼怪",
	anchor = {0.6,0.1},
	pic = "E61_1.png",
	actMove = "E61_move",
	attackAct = "E61_attack",
	magicAct = "E61_magic",
	--pic2 = "E61b_1.png",
	--actMove2 = "E61b_move",
	--magicAct2 = "E61b_magic",
	text = "Boss会将你的炮塔\n锁定无法控制，尽\n快的解救你的炮塔",
	textEnglish = "",
}

--雪人
EnemyData[62] = {
	name = "雪人怪",
	pic = "E62_1.png",
	actMove = "E62_move",
	magicAct = "E62_magic",
	attackAct = "E62_attack",
	--actMove2 = "E62b_move",
	--magicAct2 = "E62b_magic",
	text = "小心Boss扔出的雪\n球，它会让你的炮\n塔失去控制",
	textEnglish = "",
}

--法老
EnemyData[63] = {
	name = "法老怪",
	pic = "E63_1.png",
	actMove = "E63_move", 
	magicAct = "E63_magic",
	attackAct = "E63_attack",
	--pic2 = "E63_b_1.png",
	--actMove2 = "E63b_move",
	--magicAct2 = "E63b_magic",
	text = "Boss会召唤出的毒\n蛇绑住你的炮塔，\n尽快的解救它们",
	textEnglish = "",
}

--波塞冬
EnemyData[64] = {
	name = "波塞冬",
	anchor = {0.4,0.1},
	pic = "E64_1.png",
	pic2 = "E64_wait_1.png",
	actMove = "E64_move",
	magicAct = "E64_magic",
	attackAct = "E64_attack",
	waitAct =  "E64_wait",
	hurtAct = "E64_hurt",	
	--pic2 = "E64b_1.png",
	--actMove2 = "E64b_move",
	--magicAct2 = "E64b_magic",
	text = "Boss会将你的炮塔\n挪到地图中任意位\n置，及时补充炮塔",
	textEnglish = "",
}

