--
-- Author: KK
-- Date: 2014-08-13 12:13:56
--
--兔女郎子弹

local MapInfo = import("..views.MapInfo")
local Bullet01 = import(".Bullet01")
local Bullet12 = class("Bullet12", Bullet01)

function Bullet12:ctor(params)    
	-- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Bullet12.super.ctor(self, params)
end

function Bullet12:hit()
	if self.target then
		x,y = self.target:getPosition()
		local bomb = display.newSprite("#"..self.pic,x,y)
		g_fightLayer:addChild(bomb, BaseZOrder.bullet)
		local bombAni = display.getAnimationCache(self.bombAniName)
		bomb:playAnimationOnce(bombAni, true)
		self.target:addBuffer({
			bufferType = EnemyBuffer.BUFFER_OPPOSITE,
			time = 5
		})
	end
	g_fightLayer:removeBullet(self)
end

return Bullet12