--
-- Author: kk
-- Date: 2014-05-15 17:11:27
--
--跟踪眩晕弹

local MapInfo = import("..views.MapInfo")
local Bullet01 = import(".Bullet01")
local Bullet7 = class("Bullet7", Bullet01)

function Bullet7:ctor(params)    
	-- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Bullet7.super.ctor(self, params)
end

function Bullet7:hit()
	if self.target then
		local dizzyPic = display.newSprite("#"..BulletData[self.idx].dizzyPic)
		dizzyPic:setScale(2)
		self.target:addBuffer({
			bufferType = EnemyBuffer.BUFFER_DIZZY,
			pic = dizzyPic,
			attack = self.levelData.attack,
			chance = self.levelData.dizzyChance,
			time = self.levelData.dizzyTime,
		})
	end
	g_fightLayer:removeBullet(self)
end

return Bullet7