--
-- Author: KK
-- Date: 2014-07-30 11:19:10
--
--雪怪子弹

local MapInfo = import("..views.MapInfo")
local Bullet = import(".Bullet")
local BulletE62 = class("BulletE62", Bullet)

function BulletE62:ctor(params)    
	-- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    BulletE62.super.ctor(self, params)

end

function BulletE62:bomb()
	if self.targetType ~= 3 then return end
	
	if self.fortTarget ~= nil then
		self.fortTarget:addFortBuffer({
			bufferType = FortBuffer.BUFFER_SNOW,
		})
	end
	g_fightLayer:removeBullet(self)
end

return BulletE62