--
-- Author: KK
-- Date: 2014-07-31 09:58:21
--
--洋葱怪

local MapInfo = import("..views.MapInfo")
local Bullets = import(".Bullets")

local Enemy = import(".Enemy")

local Enemy42 = class("Enemy42", Enemy)

function Enemy42:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Enemy42.super.ctor(self, params)
	self.enemyPic:setScale(1.2)
	self.enemySize.height = self.enemySize.height*1.2
	self.enemySize.width = self.enemySize.width*1.2
end

function Enemy42:stink()
	local forts = g_fightLayer:getFortsAroundPos(cc.p(self:getPosition()), self.rangeSq)
	--local randomForts = kkFunc.getRandomFromTable(forts, 1)

	for i = 1, #forts do
		local bullet = Bullets[142].new({
				idx = 142,
				fortPos = self:getPositionCenter(),
				fortTarget = forts[i],
				level = 1,
				fromEnemy = self.idx,
			})
		g_fightLayer:addBullet(bullet)
	end
end

--[[function Enemy42:doSomething()
	self.enemyPic:stopAllActions()
	--local ani = display.getAnimationCache(self.localData.magicAct)
	local ani = display.getAnimationCache(self.localData.attackAct)
	self.enemyPic:playAnimationOnce(ani, false, function()
		self.enemyPic:playAnimationForever(self.moveAct)
		self:stink()
	end)
end]]

return Enemy42