--
-- Author: KK
-- Date: 2014-07-02 11:30:27
--
--护士兔

local MapInfo = import("..views.MapInfo")

local Fort = import(".Fort")

local Fort04 = class("Fort04", Fort)

function Fort04:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Fort04.super.ctor(self, params)
    self.passTime = self.speed-1
end

function Fort04:getLevelInfo()
	Fort04.super.getLevelInfo(self)
	self.heal = self.data.level[self.level].heal
end

function Fort04:healForts()
	local forts = g_fightLayer:getFortsAroundPos(cc.p(self:getPosition()), self.rangeSq)
	for i = 1, #forts do
		forts[i]:updateHp(20*(self.level+1))
	end
end

function Fort04:updateSelf(dt)
	self.passTime = self.passTime + dt
	if self.passTime > self.speed then
		self:healForts()
		self.passTime = self.passTime - self.speed
	end
end

return Fort04