--
-- Author: KK
-- Date: 2014-08-12 14:30:55
--
--铁锹兔

local MapInfo = import("..views.MapInfo")

local Fort = import(".Fort")

local Fort10 = class("Fort10", Fort)

function Fort10:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Fort10.super.ctor(self, params)
end

function Fort10:init()
	self:setLocalZOrder(300)
    self:removeE45()
end

function Fort10:removeE45()
	for i = 1, #MapInfo.E45 do
		if MapInfo.E45[i].tilePt.x == self.tilePt.x
				and MapInfo.E45[i].tilePt.y == self.tilePt.y then
			if MapInfo.E45[i].enemy then
				self:playAnimationOnce(self.frontAttack, false, function()
					MapInfo.E45[i].enemy:die(10) --被铁锹兔杀死
					MapInfo.E45[i].enemy = nil
					MapInfo.E45[i].created = false
					--table.remove(MapInfo.E45, i)
					g_fightLayer:removeFort(self)
				end)
				break
			end
		end
	end
end

return Fort10