--
-- Author: KK
-- Date: 2014-07-10 10:11:10
--
--井盖兔

local MapInfo = import("..views.MapInfo")

local Fort = import(".Fort")

local Fort5 = class("Fort5", Fort)

function Fort5:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Fort5.super.ctor(self, params)
    self.passTime = self.speed - 2
end

function Fort5:pullEnemy()
	local en = self:getNearEnemy(MapInfo.tileSize*MapInfo.tileSize*0.25)
	if en == nil then return end
	self:playAnimationOnce(self.frontAttack, false, function()
		self:setSpriteFrame(display.newSpriteFrame(self.localLevelData.front.frame))
	end)
	en:pullByPit(cc.p(self:getPosition()))
	self.passTime = 0
end

function Fort5:updateSelf(dt)
	self.passTime = self.passTime + dt
	if self.passTime > self.speed then
		self:pullEnemy()
	end
end

return Fort5