--
-- Author: KK
-- Date: 2015-01-22 16:28:41
--
--希维尔

local Hero = import(".Hero")

local Hero3 = class("Hero3", Hero)

function Hero3:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Hero3.super.ctor(self, params)

	self.attackAnchor = cc.p(0.54, 0.2)
	self.moveAnchor = cc.p(0.54, 0.2)
	self.waitAnchor = cc.p(0.54, 0.2)
	--self.deadAnchor = cc.p(0.23, 0.24)
	--self.hurtAnchor = cc.p(0.45, 0.1)
	
end

--放技能前摇
function Hero3:showBeforeSkill(skill)
	if skill.idx == 8 then
		g_playScene:changeSpeedNormal()
		g_playScene:suspend(true)
		g_playScene:setCanTouch(false)
		self:setLocalZOrder(BaseZOrder.bullet+2)
		local layer = cc.LayerColor:create(cc.c4b(0,0,0,200))
		g_fightLayer:addChild(layer, BaseZOrder.bullet+1)
		layer:setOpacity(0)
		layer:runAction(cc.FadeTo:create(0.2,200))
		self.heroPic:runAction(transition.sequence({
			cc.ScaleTo:create(0.2,1.2),
			cc.CallFunc:create(function()
				self:setAnchor(cc.p(0.48,0.165))
			end),
			cc.Animate:create(self.magicAni),
		}))
		--放在上面的动作里会被打断出Bug。单独拿出来做。
		self:performWithDelay(function()
			self.heroPic:setSpriteFrame(display.newSpriteFrame(self.data.pic))
			layer:removeFromParent()
			g_playScene:suspend(true)
			skill:execute()
		end, 1.2)
	elseif skill.idx == 9 then
		g_playScene:changeSpeedNormal()
		g_playScene:suspend(true)
		g_playScene:setCanTouch(false)
		self:setLocalZOrder(BaseZOrder.bullet+2)
		local layer = cc.LayerColor:create(cc.c4b(0,0,0,200))
		g_fightLayer:addChild(layer, BaseZOrder.bullet+1)
		layer:setOpacity(0)
		layer:runAction(cc.FadeTo:create(0.2,200)) 
		self.heroPic:runAction(transition.sequence({
			cc.CallFunc:create(function()
				self:setAnchor(cc.p(0.48,0.12))
			end),
			cc.Animate:create(self.magicAni),
		}))
		self:performWithDelay(function()
			self.heroPic:setSpriteFrame(display.newSpriteFrame("h03_skill09_pre1.png"))
			g_playScene:suspend(true)
			self:setAnchor(cc.p(0.52,0.165))
			local frames = display.newFrames("h03_skill09_pre%d.png", 1, 7)
	    	local animation = display.newAnimation(frames, 0.1)
			self.heroPic:playAnimationOnce(animation, false, function()
				layer:removeFromParent()
				skill:execute()
			end)
		end, 1.2)
		--skill:execute()
	else
		self.heroPic:playAnimationOnce(self.magicAni, false, function()
			self.heroPic:setSpriteFrame(display.newSpriteFrame(self.data.pic))
			skill:execute()
		end)
	end
end

return Hero3