--
-- Author: KK
-- Date: 2014-11-05 12:13:48
--
--技能基类


local Skill = class("Skill", function()
	return display.newLayer("Skill")
end)

function Skill:ctor(params)
    self:setNodeEventEnabled(true)
	self.idx = params.idx
	self.data = SkillData[self.idx]

	self.attack = SkillData[self.idx].attack

	self.hero = g_playScene.hero
	self.heroPic = self.hero.heroPic
	self.hero:startSkill(self)
	--音效
	SoundManager.playSound(GAME_SOUND.SkillRelease)
end

function Skill:onEnter()
	self:start()
end

function Skill:start()
	--暂停怪物移动
	for i = 1 , #g_fightLayer.enemies do
		local en = g_fightLayer.enemies[i]
		en.pause = true
	end
	self.hero:showBeforeSkill(self)
end

function Skill:execute()
	self:endSkill()
end

function Skill:endSkill()
	--恢复怪物移动
    for i = 1 , #g_fightLayer.enemies do
        local en = g_fightLayer.enemies[i]
        en.pause = false
    end
	self.hero:endSkill()
	self:removeFromParent()
end

return Skill