--
-- Author: Wangzhihao
-- Date: 2014-11-25 13:25:28
--
local MapInfo = import("..views.MapInfo")
local Skill = import(".Skill")
local Skill10 = class("Skill10", Skill)
function Skill10:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Skill10.super.ctor(self, params)
end

function Skill10:execute()
	self.rangeSq = math.pow(5*MapInfo.tileSize,2)
	local forts = g_fightLayer:getFortsAroundPos(cc.p(self.hero:getPosition()), self.rangeSq)
	local randomForts = kkFunc.getRandomFromTable(forts, 3)
	for i = 1, #randomForts do
		randomForts[i]:addFortBuffer({
			bufferType = FortBuffer.BUFFER_SPEEDUP,
		})
	end
    self:endSkill()
end
return Skill10