--
-- Author: Wangzhihao
-- Date: 2015-01-19 12:10:08
--
g_DailyTaskLayer = nil--返回键判断用
local DailyTaskLayer = class("DailyTaskLayer",function() 
	return  display.newLayer("DailyTaskLayer") 
end)
function DailyTaskLayer:ctor()
    display.newColorLayer(cc.c4b(0,0,0,128)):addTo(self)
    g_DailyTaskLayer=self--返回键判断用
    self:setNodeEventEnabled(true)
	ResData.loadRes("UI_DAILYTASK")
    local posX,posY
    if VERSION_REDUCE then
        posX = 385
        posY = 300 
    else
        posX = 370
        posY = 265
    end
	self:setTouchSwallowEnabled(true)
	self.dailytaskBg = display.newSprite("#dailytaskBg.png",display.cx,display.cy)
	self:addChild(self.dailytaskBg)
	self.dailytaskreturn = cc.ui.UIPushButton.new({
        normal = "#dailytaskreturn.png",
        pressed = "#dailytaskreturn.png",
        disabled = "#dailytaskreturn.png",
        })
        :onButtonPressed(function()
            self.dailytaskreturn:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.dailytaskreturn:setScale(1)
        end)
        :onButtonClicked(function(event)
    		self:Remove()
        end)
        :pos(posX,posY)
        :addTo(self.dailytaskBg)
    --[[local title = cc.ui.UILabel.new({
        text = "每日任务",
        size = 36,
        color = cc.c3b(255,255,255),
        x = 200,
        y = 270,
        }):align(display.CENTER)
    self.dailytaskBg:addChild(title)]]
    if GameData.dailytask.open == 4 then
        self.taskopen = 3
    else
        self.taskopen = GameData.dailytask.open
    end
    local fontType,tskX,tskY
    if VERSION_REDUCE then
        tskX = 302
        tskY = 300
        fontType = "fontEasy.ttf"
    else
        tskX = 285   
        tskY = 278
        fontType = "fontCommon.TTF"
    end
    self.taskcompleteLabel = cc.ui.UILabel.new({
        UILabelType = 2,
        font = fontType,
        text = ""..self.taskopen.."/3",
        size = 20,
        color = cc.c3b(248,250,111),
        x = tskX,
        y = tskY,
        }):align(display.CENTER)
    self.dailytaskBg:addChild(self.taskcompleteLabel)
    
    self:taskShow()   
end

function DailyTaskLayer:Remove()
    self:removeFromParent()
    g_DailyTaskLayer = nil--返回键判断用
end
function DailyTaskLayer:taskShow()
    self.taskNode = display.newNode()
    self.dailytaskBg:addChild(self.taskNode)
    if VERSION_REDUCE then
        daiY = 255
    else
        daiY = 205 
    end
    if VERSION_REDUCE then
        self.taskIntro = cc.ui.UILabel.new({
            UILabelType = 2,
            text = kkFunc.getVersionText("每日任务",GameData.dailytask[""..self.taskopen].type),--
            size = 20,
            font = "fontEasy.ttf",
            dimensions = cc.size(300, 180),
            color = cc.c3b(255,255,255),
            x = 60,
            y = daiY,
            }):align(display.LEFT_TOP)
    else
        self.taskIntro = cc.ui.UILabel.new({
            UILabelType = 2,
            font = "fontCommon.TTF",
            text = kkFunc.getVersionText("每日任务",GameData.dailytask[""..self.taskopen].type),--
            size = 24,
            color = cc.c3b(255,255,255),
            x = 187,
            y = daiY,
            }):align(display.CENTER)
    end
	-- self.taskIntro = cc.ui.UILabel.new({
 --        text = kkFunc.getVersionText("每日任务",GameData.dailytask[""..self.taskopen].type),--
 --        size = 24,
 --        color = cc.c3b(255,255,255),
 --        x = 187,
 --        y = daiY,
 --        }):align(display.CENTER)
    self.taskNode:addChild(self.taskIntro)
    if VERSION_REDUCE then
        posX = 139
        posY = 165
    else
        posX = 110   
        posY = 142 
    end
    local progressBarDown = display.newSprite("#dailytask_bar1.png",posX,posY)
    local progressBarUpRight = display.newSprite("#dailytask_barRight.png")
    self.progressBarUp = display.newSprite("#dailytask_bar2.png",posX,posY)
    local rect = self.progressBarUp:getTextureRect()
    --progressBarDown:setScale(0.8) 
    self.progressBarUp:setAnchorPoint(cc.p(0,0.5))
    progressBarDown:setAnchorPoint(cc.p(0,0.5))
    progressBarUpRight:setAnchorPoint(cc.p(0,0.5))
    self.taskNode:addChild(progressBarDown)
    self.taskNode:addChild(self.progressBarUp)
    self.taskNode:addChild(progressBarUpRight)
    local scaleX = 0
    local numPercentText 
    if GameData.dailytask[""..self.taskopen].recordNum >= DailyTask[GameData.dailytask[""..self.taskopen].type].needNum then
    	scaleX = 1
        numPercentText = DailyTask[GameData.dailytask[""..self.taskopen].type].needNum.."/"..DailyTask[GameData.dailytask[""..self.taskopen].type].needNum
    else
    	scaleX = GameData.dailytask[""..self.taskopen].recordNum/DailyTask[GameData.dailytask[""..self.taskopen].type].needNum
        numPercentText = GameData.dailytask[""..self.taskopen].recordNum.."/"..DailyTask[GameData.dailytask[""..self.taskopen].type].needNum
    end
    if scaleX == 0 or scaleX == 1 then
        progressBarUpRight:setVisible(false)
    elseif scaleX < 0.1 then
        scaleX = 0.1
    elseif scaleX > 0.9 then
        scaleX = 0.9 
    end
    rect.width = scaleX*rect.width
    progressBarUpRight:setPosition(posX+rect.width-1,posY)
    self.progressBarUp:setTextureRect(rect,self.progressBarUp:isTextureRectRotated(),cc.size(rect.width, rect.height))
    --self.progressBarUp:setScaleX(scaleX)
    -- if VERSION_REDUCE then
    --     --todo
    -- end
    local fontType,perX,perY
    if VERSION_REDUCE then
        perX = 220
        perY = 165
        fontType = "fontEasy.ttf"
    else
        perX = 190   
        perY = 141 
        fontType = "fontCommon.TTF"
    end
    self.numPercent = cc.ui.UILabel.new({
        UILabelType = 2,
        font = fontType,
        text = numPercentText,
        size = 24,
        color = cc.c3b(255,255,255),
        x = perX,
        y = perY,
    })
    if VERSION_REDUCE then
        gifX = 105
        gifY = 120
    else
        gifX = 120   
        gifY = 98 
    end
    self.taskNode:addChild(self.numPercent,2)
    local rewText,fontType
    if VERSION_REDUCE then
        rewText = "Reward:"
        fontType = "fontEasy.ttf"
    else
        rewText = "奖励："
        fontType = "fontCommon.TTF"
    end
    local gift = cc.ui.UILabel.new({
        UILabelType = 2,
        font = fontType,
        text = rewText,
        size = 20,
        color = cc.c3b(255,186,52),
        x = gifX,
        y = gifY,
    })
    self.taskNode:addChild(gift)
    if VERSION_REDUCE then
        gipX = 205
        gipY = 120
        gilX = 225
    else
        gipX = 205   
        gipY = 98 
        gilX = 225
    end
    self.giftPic = display.newSprite("#dailytaskDiamond.png",gipX,gipY)
    self.taskNode:addChild(self.giftPic)
    local giftNum = cc.ui.UILabel.new({
        UILabelType = 2,
        font = fontType,
        text = "×5",
        size = 24,
        color = cc.c3b(255,239,101),
        x = gilX,
        y = gipY,
    })
    self.taskNode:addChild(giftNum)
    local text = ""
    local textX
    local textY
    if GameData.dailytask[""..self.taskopen].complete == false then
    	text = "#dailyTaskRunning.png"
        textX = 210
    elseif GameData.dailytask.open == 4 then
        text = "#dailyTaskFinish.png"
        textX = 210
    else
	    text = "#dailyTaskGifted.png"
        textX = 200
	end
    if VERSION_REDUCE then
        textY = 68
    else
        textY = 45
    end
    self.dailytaskbutton = cc.ui.UIPushButton.new({
        normal = text,
        disabled = text,
        pressed = text,
        })
	    :onButtonClicked(function()
            if GameData.dailytask.open == 4 then return end  
	        if GameData.dailytask[""..self.taskopen].complete == true then
	        	GameData.diamond = GameData.diamond + 5
                if GameData.dailytask.open == 3 then
                    GameData.dailytask.open = 4
                    self:getParent().MenuDailyTaskTip:removeFromParent()
                    self:taskFinish()
	        	elseif GameData.dailytask.open < 3 then
		        	GameData.dailytask.open = GameData.dailytask.open + 1 
		        	self.taskopen = GameData.dailytask.open
                    self:refresh()		        
		        end		        
	        	GameState.save(GameData)
                kkFunc.ObtainEffect(self.giftPic:getParent():getParent(),cc.p(self.giftPic:getPosition()),nil,0.7)
                self:getParent():RemoveTaskRedPoint()
                --音效
                SoundManager.playSound(GAME_SOUND.Button2)
                --DataEye
                     --厦门
                -- if device.platform == "android" or device.platform == "ios" then
                --     DCCoin.gain("每日任务奖励", "钻石", 5, GameData.diamond)
                -- end   
                     --厦门      
	        end          
	    end)
	    :align(display.CENTER,textX,textY)
	    :addTo(self.taskNode)
end
function DailyTaskLayer:refresh()
	self.taskcompleteLabel:setString(""..self.taskopen.."/3")
	self.taskIntro:setString(kkFunc.getVersionText("每日任务",GameData.dailytask[""..self.taskopen].type))
    self.numPercent:setString(GameData.dailytask[""..self.taskopen].recordNum.."/"..DailyTask[GameData.dailytask[""..self.taskopen].type].needNum)
	self.dailytaskbutton:setButtonImage("normal", "#dailyTaskRunning.png")
    self.dailytaskbutton:setButtonImage("disabled", "#dailyTaskRunning.png")
    self.dailytaskbutton:setButtonImage("pressed", "#dailyTaskRunning.png")
    --self.progressBarUp:setScaleX(0)
    local rect = self.progressBarUp:getTextureRect()
    rect.width = 0*rect.width
    self.progressBarUp:setTextureRect(rect,self.progressBarUp:isTextureRectRotated(),cc.size(rect.width, rect.height))
end
function DailyTaskLayer:taskFinish()
    --[[if self.taskNode ~= nil then
        self.taskNode:setVisible(false)
    end
    self.taskcompleteLabel:setString("3/3")
    local taskFinishMes = cc.ui.UILabel.new({
        text = "您已经完成了所有\n的任务！",
        size = 36,
        color = cc.c3b(255,255,255),
        x = 190,
        y = 160,
    }):align(display.CENTER)
    self.dailytaskBg:addChild(taskFinishMes)]]
    self.dailytaskbutton:setButtonImage("normal", "#dailyTaskFinish.png")
    self.dailytaskbutton:setButtonImage("disabled", "#dailyTaskFinish.png")
    self.dailytaskbutton:setButtonImage("pressed", "#dailyTaskFinish.png")
end
function DailyTaskLayer:onExit()
	ResData.removeRes("UI_DAILYTASK")
end
return DailyTaskLayer