--
-- Author: Hao
-- Date: 2015-05-25
--
local FirstPayLayer = class("FirstPayLayer",function() 
	return  display.newLayer("FirstPayLayer") 
end)

function FirstPayLayer:ctor(isReminder)
    self.isReminder = isReminder
    --奖励
    self.diamondCount = 50
    self.energyCount = 5
    self.coinCount = 5000

	ResData.loadRes("UI_FIRSTPAY")
	display.newColorLayer(cc.c4b(0,0,0,128)):addTo(self)
    self:setNodeEventEnabled(true)
	self:setTouchSwallowEnabled(true)   
	local Bg = display.newSprite("#firstPayBG.png",display.cx,display.cy)
	self:addChild(Bg)
    if isReminder then
        self.buttonBack = cc.ui.UIPushButton.new({
        normal = "#buttonCancel.png",
        pressed = "#buttonCancel.png",
        disabled = "#buttonCancel.png",
        })
        :onButtonPressed(function()
            self.buttonBack:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.buttonBack:setScale(1)
        end)
        :onButtonClicked(function(event)
           self:Remove()
        end)
        :pos(765,425)
        :addTo(Bg)
    end
    self.buttonGet = cc.ui.UIPushButton.new({
        normal = "#buttonGet.png",
        pressed = "#buttonGet.png",
        disabled = "#buttonGet.png",
        })
        :onButtonPressed(function()
            self.buttonGet:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.buttonGet:setScale(1)
        end)
        :onButtonClicked(function(event)
            if self.isReminder then
                g_infoLayer.shopLayer:getDiamondContent()
            else
                GameData.diamond = GameData.diamond + self.diamondCount
                GameData.carrot = GameData.carrot + self.coinCount
                if display.getRunningScene().__cname == "LevelScene" then
                    display.getRunningScene():newAchievementTip()
                end                
                if GameData.energy.value ~= -1 then
                    GameData.energy.value = GameData.energy.value + self.energyCount
                end    
                g_infoLayer:refresh()
                GameData.isFirstGiftGot = true
                GameState.save(GameData)
            end
            self:Remove()            
        end)
        :pos(415,85)
        :addTo(Bg)
    -- local diamondNum = cc.ui.UILabel.new({
    --         UILabelType = 1,
    --         font = "fontNewLayer.fnt",
    --         text = ""..self.diamondCount,
    --         x = 350,
    --         y = 230,
    --     }):align(display.CENTER):addTo(Bg)
    -- local energyNum = cc.ui.UILabel.new({
    --         UILabelType = 1,
    --         font = "fontNewLayer.fnt",
    --         text = ""..self.energyCount,
    --         x = 510,
    --         y = 230,
    --     }):align(display.CENTER):addTo(Bg)
    -- local coinNum = cc.ui.UILabel.new({
    --         UILabelType = 1,
    --         font = "fontNewLayer.fnt",
    --         text = ""..self.coinCount,
    --         x = 745,
    --         y = 230,
    --     }):align(display.CENTER):addTo(Bg)
    -- local priceNum = cc.ui.UILabel.new({
    --         UILabelType = 1,
    --         font = "fontNewLayer.fnt",
    --         text = "10",
    --         x = 695,
    --         y = 410,
    --     }):align(display.CENTER):addTo(Bg)
    -- priceNum:setScale(0.7)
end

function FirstPayLayer:Remove()
    self:removeFromParent()
    g_infoLayer.firstLayer = nil
end

function FirstPayLayer:onExit()
	g_infoLayer.firstPayLayer = nil
    ResData.removeRes("UI_FIRSTPAY")
end

return FirstPayLayer