--
-- Author: Hao
-- Date: 2015-05-22
--
local GiftBagLayer = class("GiftBagLayer",function() 
	return  display.newLayer("GiftBagLayer") 
end)

function GiftBagLayer:ctor(params)
    self.params = params --1限时礼包，2新手礼包
    local BagBg,BuyButton,LimitBagBg,diamondNum,carrotNum
    local cancleX,cancleY,buyY,bgX,buyX
    if VERSION_REDUCE then
        LimitBagBg = "#giftBagBG.png"
    else
        LimitBagBg = "#limitBagBg.png"
    end
    if self.params == 1 then
        BagBg = LimitBagBg
        BuyButton = "#buttonGet.png"
        if VERSION_REDUCE then
            cancleX = 45
            cancleY = 80
            buyY = 65
            buyX = 30
            diamondNum = 100
            carrotNum = 100  
        else
            cancleX = 67
            cancleY = 130
            buyY = 90
            buyX = 15
            diamondNum = 200
            carrotNum = 2000
        end
        bgX = display.cx-30
        moneyY = 0
    elseif self.params == 2 then
        BagBg = "#newBagBG.png"
        BuyButton = "#buttonGet.png"
        if VERSION_REDUCE then
            cancleX = 65
            cancleY = 125
            buyY = 90
            buyX = 30
        else
            cancleX = 58
            cancleY = 105
            buyY = 90
            buyX = 0
        end
        bgX = display.cx-10
        moneyY = 170
    elseif self.params == 3 then
        BagBg = "#propBagBg.png"--等待更换
        BuyButton = "#buttonGet.png"--等待更换
        cancleX = 65
        cancleY = 130
        buyY = 90
        buyX = 30
        bgX = display.cx-10
    elseif self.params == 4 then
        --BagBg = LimitBagBg
        BagBg = "#zxlb.png"
        BuyButton = "#lingqu.png"
        if VERSION_REDUCE then
            cancleX = 45
            cancleY = 80
            buyY = 65
            buyX = 30
            diamondNum = 100
            carrotNum = 100  
        else
            cancleX = 67
            cancleY = 130
            buyY = 90
            buyX = 15
            diamondNum = 200
            carrotNum = 2000
        end
        bgX = display.cx-30
        moneyY = 0
     elseif self.params == 5 then
        BagBg = "#hhlb.png"--等待更换
        BuyButton = "#lingqu.png"--等待更换
            cancleX = 67
            cancleY = 130
            buyY = 90
            buyX = 15
        bgX = display.cx-30
    end

	ResData.loadRes("UI_GIFTBAG")
	display.newColorLayer(cc.c4b(0,0,0,128)):addTo(self)
    self:setNodeEventEnabled(true)
	self:setTouchSwallowEnabled(true)
	local Bg = display.newSprite(BagBg,bgX,display.cy)
	self:addChild(Bg)
    local money = {
        [1] = 3.59,
        [2] = 0.29,
    }
    local needmoney
    if VERSION_REDUCE then
        if self.params == 2 then
            needmoney = cc.ui.UILabel.new({
                UILabelType = 2,
                text = money[self.params].."$",
                size = 25,
                color = cc.c3b(255,255,255),
                font = "fontEasy.ttf",
                x = Bg:getContentSize().width/2+80,
                y = moneyY,
                }):align(display.CENTER) 
            Bg:addChild(needmoney)
        end
        -- needmoney = cc.ui.UILabel.new({
        --     text = money[self.params].."$",
        --     size = 32,
        --     color = cc.c3b(255,0,0),
        --     x = Bg:getContentSize().width/2+80,
        --     y = moneyY,
        --     }):align(display.CENTER) 
        -- Bg:addChild(needmoney)         
    end 


	self.buttonBack = cc.ui.UIPushButton.new({
            normal = "#buttonCancel.png",
            pressed = "#buttonCancel.png",
            disabled = "#buttonCancel.png",
        })
        :onButtonPressed(function()
            self.buttonBack:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.buttonBack:setScale(1)
        end)
        :onButtonClicked(function(event)
             self:removeFromParent()
        end)
        :pos(Bg:getContentSize().width-cancleX,Bg:getContentSize().height-cancleY)
        :addTo(Bg)
    self.buttonGet = cc.ui.UIPushButton.new({
        normal = BuyButton,
        pressed = BuyButton,
        disabled = BuyButton,
        })
        :onButtonPressed(function()
            self.buttonGet:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.buttonGet:setScale(1)
        end)
        :onButtonClicked(function(event)
            if self.params == 1 then
                local function paycallback(result)
                    if result == "success" then
                        local diamondCount = diamondNum--获得钻石
                        GameData.diamond = GameData.diamond + diamondCount
                        kkFunc.popPaySuccessLayer()
                        self:unLimitBagLockItem() --获得无限体力或者5点体力
                        GameData.carrot = GameData.carrot + carrotNum--获得2000金钱
                        g_infoLayer:refresh()
                        GameState.save(GameData)
                        self:removeFromParent()
                        --DataEye
                             --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", 20, 20)
                        --     --DCCoin.lost("获得限时礼包", "CNY", 20, 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得限时礼包",20,"CNY",CHANLE_NAME)
                        -- end
                             --厦门
                    end
                end
                --[[if TEST_DEMO then
                    paycallback("success")
                else
                    kkFunc.Pay(0,paycallback)
                end]]
                if VERSION_REDUCE then
                    if TEST_DEMO then
                        paycallback("success")
                    else
                        kkFunc.Pay(0,paycallback)
                    end
                else
					--厦门限时礼包的计费点
                    if TEST_DEMO then
                        paycallback("success")
                        --kkFunc.xmTest()
                    else
                        --kkFunc.Pay(7,paycallback)
                        kkFunc.xmPay(8)
                    end
					--厦门限时礼包的计费点
                end                                      
            elseif self.params == 2 then
                local function paycallback(result)
                    if result == "success" then
                        GameData.diamond = GameData.diamond + 20--获得20钻石
                        GameData.carrot = GameData.carrot + 100--获得100金钱
                        g_infoLayer:refresh()
                        GameData.giftBag.freshman = true
                        GameState.save(GameData)
                        kkFunc.popPaySuccessLayer()
                        --globalVar.newBag = true
                        display.getRunningScene().NewBag:removeFromParent()
                        self:removeFromParent()
                        --DataEye
                             --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", 1, 1)
                        --     --DCCoin.lost("获得新手礼包", "CNY", 1, 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得新手礼包",1,"CNY",CHANLE_NAME)
                        -- end
                             --厦门
                    end
                end
                --[[if TEST_DEMO then
                    paycallback("success")
                else
                    kkFunc.Pay(5,paycallback)
                end]]
                if VERSION_REDUCE then
                    if TEST_DEMO then
                        paycallback("success")
                    else
                        kkFunc.Pay(5,paycallback)
                    end
                else
						--厦门新手礼包的计费点
                    if TEST_DEMO then
                        paycallback("success")
                        --kkFunc.xmTest()
                    else
                        --kkFunc.Pay(1,paycallback)
                        kkFunc.xmPay(7)
                    end
						--厦门新手礼包的计费点
                end               
            elseif self.params == 3 then   --海外版进不来
                local function paycallback(result)
                    if result == "success" then
                        for i = 2, 4 do
                            GameData.item["i"..i].number = GameData.item["i"..i].number + 8--获得爱心复活石狂暴各8个
                        end
                        kkFunc.popPaySuccessLayer(false,true)
                        --[[if not GameData.item["i3"].isUnLock or not GameData.item["i4"].isUnLock then
                            kkFunc.popPayPrepSuccessLayer()
                        end
                        --购买道具礼包解锁道具
                        self:unLockItem()]]
                        GameState.save(GameData)
                        self:removeFromParent()
                        --DataEye
                            --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", 1, 1)
                        --     --DCCoin.lost("获得新手礼包", "CNY", 1, 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得道具礼包",18,"CNY",CHANLE_NAME)
                        -- end
                            --厦门
                    end
                end
					--厦门道具礼包的计费点
                    if TEST_DEMO then
                        paycallback("success")
                        --kkFunc.xmTest()
                    else
                        --kkFunc.Pay(6,paycallback)
                        kkFunc.xmPay(9)
                    end  
    					--厦门道具礼包的计费点		              
            elseif self.params == 4 then    --尊享礼包
                local function paycallback(result)
                    if result == "success" then
                        local diamondCount = diamondNum--获得钻石
                        GameData.diamond = GameData.diamond + diamondCount
                        kkFunc.popPaySuccessLayer()
                        self:unLimitBagLockItem() --获得无限体力或者5点体力
                        GameData.carrot = GameData.carrot + carrotNum--获得2000金钱
                        g_infoLayer:refresh()
                        GameState.save(GameData)
                        self:removeFromParent()
                        --DataEye
                             --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", 20, 20)
                        --     --DCCoin.lost("获得限时礼包", "CNY", 20, 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得限时礼包",20,"CNY",CHANLE_NAME)
                        -- end
                             --厦门
                    end
                end
                --[[if TEST_DEMO then
                    paycallback("success")
                else
                    kkFunc.Pay(0,paycallback)
                end]]
                if VERSION_REDUCE then
                    if TEST_DEMO then
                        paycallback("success")
                    else
                        kkFunc.Pay(0,paycallback)
                    end
                else
                    --厦门限时礼包的计费点
                    if TEST_DEMO then
                        --paycallback("success")
                        xmPaySuccess("10")
                        --kkFunc.xmTest()
                    else
                        --kkFunc.Pay(7,paycallback)
                        kkFunc.xmPay(10)
                    end
                    --厦门限时礼包的计费点
                end  
            elseif self.params == 5 then   --豪华大礼包
                local function paycallback(result)
                    if result == "success" then
                        for i = 2, 4 do
                            GameData.item["i"..i].number = GameData.item["i"..i].number + 8--获得爱心复活石狂暴各8个
                        end
                        kkFunc.popPaySuccessLayer(false,true)
                        --[[if not GameData.item["i3"].isUnLock or not GameData.item["i4"].isUnLock then
                            kkFunc.popPayPrepSuccessLayer()
                        end
                        --购买道具礼包解锁道具
                        self:unLockItem()]]
                        GameState.save(GameData)
                        self:removeFromParent()
                        --DataEye
                            --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", 1, 1)
                        --     --DCCoin.lost("获得新手礼包", "CNY", 1, 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得道具礼包",18,"CNY",CHANLE_NAME)
                        -- end
                            --厦门
                    end
                end
                    --厦门道具礼包的计费点
                    if TEST_DEMO then
                        --paycallback("success")
                       xmPaySuccess("11")
                        --kkFunc.xmTest()
                    else
                        --kkFunc.Pay(6,paycallback)
                        kkFunc.xmPay(11)
                    end  
                    --厦门道具礼包的计费点            
            end

            self:removeFromParent()
        end)
        :pos(Bg:getContentSize().width/2+buyX,buyY)
        :addTo(Bg)
    if VERSION_REDUCE then
        if self.params == 1 then
            needmoney = cc.ui.UILabel.new({
                UILabelType = 2,
                text = money[self.params].."$",
                size = 25,
                font = "fontEasy.ttf",
                color = cc.c3b(255,255,255),
                x = -30,
                y = moneyY,
                }):align(display.CENTER) 
            self.buttonGet:addChild(needmoney)
        end
    end
end

function GiftBagLayer:unLockItem()
    if  LevelsData.getRealLevel(GameData.openlevel) < 6 then
        for i = 3, 4 do
            if not GameData.item["i"..i].isUnLock then
                GameData.item["i"..i].number = GameData.item["i"..i].number + 3
                GameData.item["i"..i].isUnLock = true
            end
        end
    elseif LevelsData.getRealLevel(GameData.openlevel) >= 6 and LevelsData.getRealLevel(GameData.openlevel) < 8 then
        if not GameData.item["i"..4].isUnLock then
            GameData.item["i"..4].number = GameData.item["i"..4].number + 3
            GameData.item["i"..4].isUnLock = true
        end
    end
end

function GiftBagLayer:unLimitBagLockItem()
    if VERSION_REDUCE then
        if GameData.energy.value ~= -1 then--获得无限体力 
            GameData.energy.value = -1
            g_infoLayer:EnergyLabelChange()                   
            g_infoLayer:refresh()
        end
    else
        if GameData.energy.value ~= -1 then--获得5体力 
            GameData.energy.value = GameData.energy.value + 5
            if g_infoLayer ~= nil then
                if GameData.energy.value >= 5 then
                    g_infoLayer:refresh()
                else
                    g_infoLayer.energyLabel:setString(g_infoLayer:GetEnergyLabel())  
                end
            end
        end
    end  
end

function GiftBagLayer:onExit()
    if self:getParent().giftBag ~= nil then
        self:getParent().giftBag = nil
    elseif self:getParent().newBag ~= nil then
        self:getParent().newBag = nil
    end
	
    ResData.removeRes("UI_GIFTBAG")
end

return GiftBagLayer

