--
-- Author: Wangzhihao
-- Date: 2014-09-25 09:17:25
--
g_guidelayer = nil
local Guide_Message = {
	[1] = "主人，情况不好！",
	[2] = "   嘿，兔子。来，给\n萝卜笑一个。蔬菜们，\n给我上！",
	[3] = "保护小兔子。干掉萝卜\n，匹兔有责！",
    [8] = "等级还没有开启，现在\n无法升级~在兔子家中\n可以提高兔子的等级哦",
    [10] = "好多的敌人，风扇兔\n快来帮忙！",
    [11] = "将道具击碎后会获得圣水奖励，点击选中道具",
    [13] = "谢谢你风扇兔，剩下的\n敌人我们能够自己应付",
    [14] = "小兔子们在兔子家里到\n达3级后都会拥有像风\n扇兔那样的技能哦。",
    [17] = "不要灰心，我们再来一\n次。",
    [19] = "呼~刚才好险，还好有\n你，我们阻止了蔬菜军\n团。",
    [20] = "现在，我们必须进入备\n战状态了。",
    [21] = "在兔子家里，我们能让\n兔子变得更强大！",
    [26] = "不好了，蔬菜军团又来\n了！快用钻石提高升级\n速度！",
    [29] = "好棒啊！泡泡兔升到2\n级啦~",
    [30] = "再升级一次泡泡兔就满级了！",
    [36] = "yeah,满级！以后要常\n来兔子家！变！得！更\n！强！",
    [37] = "快~蔬菜军团离我们很\n近了，做好战斗准备。",
    [41] = "泡泡兔现在可以升级啦\n，赶快试一试~",
    [48] = "好啦，我就帮你们到这\n了。别忘了兔子家里等\n着升级的兔子们~",
}
local Forts = import("..obj.Forts")
local GuideLayer = class("GuideLayer",function() 
	return  display.newLayer("GuideLayer") 
end)
function GuideLayer:ctor(step)

    g_guidelayer = self  
    -- 注册touch事件处理函数
    self:addNodeEventListener(cc.NODE_TOUCH_EVENT,function(event)
            return self:onTouch(event.name, event.x, event.y)
        end)
    self:setTouchEnabled(true)

    self.stepControl = true
    self.step = step
    if self.step == 1 or self.step == 2 or self.step == 3 then
        self:GetMessage(self.step)
    elseif self.step == 4 then
        self:ShowButton(1)
    elseif self.step == 5 or self.step == 40 then 
        self:ShowFort(self.step)
    elseif self.step == 15 then
        self:ShowRabbit()
    elseif self.step == 8 or self.step == 19 or self.step == 20 or self.step == 21 or self.step == 37 then
        self:GetMessage(self.step)
    elseif self.step == 22 or self.step == 23 then
        self:ShowRabbitHouse(self.step)
    elseif self.step == 38 then
        self:ShowButton(2)
    end 
    
end
function GuideLayer:onTouch(event, x, y)
	if event == "began" then 
        if self.stepControl == true then
            self.step = self.step + 1
        else
            self.step = self.step
        end
		
        --print(self.step)
		if self.step < 4 then 				
			self:GetMessage(self.step)
			return
		elseif self.step == 4 then			
			self:ShowButton(1)
        elseif self.step == 9 then 
            self:showItem()
        elseif self.step == 11 then
            self:ShowFort(2)
        elseif (self.step == 14 or self.step == 20 or self.step == 21 or self.step == 30 or self.step == 30) then 
            self:GetMessage(self.step) 
        elseif self.step == 15 then  
            self:ShowRabbit()         
        elseif self.step == 22 then 
            GameData.guide.step = self.step
            GameState.save(GameData)
            app:level()
        elseif self.step == 27 then 
            self:ShowRabbitHouse(27)
        elseif self.step == 31 then 
            self:ShowRabbitHouse(23)
        elseif self.step == 37 then 
            GameData.guide.step = self.step
            GameState.save(GameData)
            app:level()
        elseif self.step == 38 then 
            self:ShowButton(2)
        elseif self.step == 42 then 
            self:ShowFort(42)
		end
		if self.m_clip ~= nil then 
    		local rect = self.rect:getCascadeBoundingBox()
    		if cc.rectContainsPoint(rect, cc.p(x,y)) then
            	self:setTouchSwallowEnabled(false)
       	    else
                if self.step == 45 then
                    self:setTouchSwallowEnabled(false)
                else
                	self:setTouchSwallowEnabled(true) 
                end                    
        	end  
        end
        if self.node ~= nil then
            if  self.rectTwo or self.rect then
                local rect = self.rect:getCascadeBoundingBox()
                local two = self.rectTwo:getCascadeBoundingBox()
                if cc.rectContainsPoint(two, cc.p(x,y)) or cc.rectContainsPoint(rect, cc.p(x,y)) then
                    self:setTouchSwallowEnabled(false)
                else
                    self:setTouchSwallowEnabled(true)                     
                end 
            end 
        end     
        return true
    elseif event == "moved" then
    elseif event == "ended" then

    end
end
function GuideLayer:GetMessage(step)
    --GameData.guide.step = self.step
    --GameState.save(GameData)
    if step == 8 then
        self.step = 8
        self.stepControl = true
        self:setTouchSwallowEnabled(true)
    end
    if step == 10 then
        g_playScene.pause = false
        g_playScene:suspend()
    end
    if step == 13 then
        self.step = 13
        self.stepControl = true
        if g_playScene.windfort ~= nil then
            g_playScene:removeFort(g_playScene.windfort)
            g_playScene.windfort = nil
        end
        g_playScene.pause = false
        g_playScene:suspend()       
    end 
    if step == 26 then
        self.step = 26
        self.stepControl = true
        self:setTouchSwallowEnabled(true)
    end
    if step == 41 then
        self.step = 41
        self.stepControl = true
        self:setTouchSwallowEnabled(true)
    end
    if self.bgLable == nil then
        self.bgLable = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        self.bgLable:setAnchorPoint(cc.p(0.5,0.5))
        self.bgLable:setPosition(cc.p(0,0))
        self:addChild(self.bgLable)
    end
    if self.pop ~= nil then
        self.pop:removeFromParent()
        self.pop = nil 
    end
    if self.itemnode ~= nil then
        self.itemnode:removeFromParent()
        self.itemnode = nil
    end
    if self.m_clip ~= nil then
        self.m_clip:removeFromParent()
        self.m_clip = nil
        self.node = nil 
    end 
    if self.rabbitbg ~= nil then
        self.rabbitbg:removeFromParent()
        self.rabbitbg = nil
    end
    self.pop = cc.LayerColor:create(cc.c4b(255,255,255,255),300,200)
    self.pop:setAnchorPoint(cc.p(0.5,0.5))
    self.pop:setPosition(display.cx-150,display.cy-150)
    self.bgLable:addChild(self.pop)
	self.clickMes = cc.ui.UILabel.new({
        text = "点击屏幕任意位置继续",
        size = 16,
        color = cc.c3b(0,0,255),
        x = 50,
        y = 50,
        })
    self.pop:addChild(self.clickMes)

    self.Mes = {}
	self.Mes[step] =cc.ui.UILabel.new({
        text = Guide_Message[step],
        size = 24,
        x = 30,
        y = 150,
        color = cc.c3b(255,0,0),
        })   
    self.pop:addChild(self.Mes[step])

    self.speaker = {}

    if (step == 1 or step == 3 or step == 8 or step == 10 or step == 13 or step == 14 or step == 17 or step == 19 or step == 20 or step == 21 or step == 26 or step == 29 or step == 30 or step == 36 or step == 37 or step == 41 or step == 48) then
        self.speaker[step] = display.newSprite("role/T01/T01_1_1.png")
    elseif step == 2 then
        self.speaker[step] = display.newSprite("role/enemy/E41_1.png")
    end
    if step == 1 then
    	self.speaker[step]:setPosition(cc.p(-100,0))
   	elseif step == 2 then
		self.speaker[step]:setPosition(cc.p(350,0))
   	elseif step == 3 then
   		self.speaker[step]:setPosition(cc.p(-100,0))
    elseif step == 8 then
        self.speaker[step]:setPosition(cc.p(-100,0))
    elseif step == 10 then
        self.speaker[step]:setPosition(cc.p(-100,0))
    elseif step == 13 then
        self.speaker[step]:setPosition(cc.p(-100,0))
    elseif step == 14 then
        self.speaker[step]:setPosition(cc.p(-100,0))
    elseif (step == 17 or step == 19 or step == 20 or step == 21 or step == 41 or step == 48  ) then
        self.speaker[step]:setPosition(cc.p(-100,0))
    elseif step == 26 or step == 29 or step == 30 or step == 36 or step == 37 then
        self.speaker[step]:setPosition(cc.p(350,0))
   	end
   	self.speaker[step]:setScale(3)
    self.pop:addChild(self.speaker[step])
end
function GuideLayer:ShowButton(tag)
    if GameData.guide.step > 5 and GameData.guide.step < 37 then
    else
        GameData.guide.step = self.step
        GameState.save(GameData)
    end
    self.stepControl = false
    
    
    if self.bgLable ~= nil then
        self.bgLable:removeFromParent()
        self.bgLable = nil 
        self.pop = nil
    end
    if self.m_clip ~= nil then
        self.m_clip:removeFromParent()
        self.m_clip = nil
    end
    if tag == 2 then
    	self.rect = display.newCircle(40)
        self.rect:setfill(true)
        --self.rect:setPosition(self:getParent().levelGuide:getPosition())
        self.rect:setPosition(cc.p(display.cx - 200,display.cy + 170))
        self.rect:runAction(cc.RepeatForever:create(transition.sequence({
            cc.ScaleBy:create(0.5, 0.9),
            cc.ScaleTo:create(0.05, 1)
            })))
        self.m_clip = cc.ClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)
        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setRotation(-45)
        --self.next:setPosition(cc.p(self:getParent().levelGuide:getPositionX()-70,self:getParent().levelGuide:getPositionY()))
        self.next:setPosition(cc.p(display.cx - 260,display.cy + 210))
        self.bg:addChild(self.next)
    elseif tag == 1 then
        self.rect = display.newCircle(30,{fillColor = cc.c4f(1, 0, 0, 1)})
        --self.rect:setPosition(self:getParent().levelGuide:getPosition())
        self.rect:setPosition(cc.p(display.cx - 300,display.cy + 170))
        --[[self.rect:runAction(cc.RepeatForever:create(transition.sequence({
            cc.ScaleBy:create(0.5, 0.9),
            cc.ScaleTo:create(0.05, 1)
            }))) 
            --self:addChild(self.rect)]]              
        --self.m_clip = display.newClippingRegionNode(rect)
        self.m_clip = cc.ClippingNode:create()
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(0.05) 
        self.m_clip:setStencil(self.rect) 
        --self.m_clip:setContentSize(self.rect:getContentSize());   
        self:addChild(self.m_clip)

        --[[self.bg = cc.LayerColor:create(cc.c4b(0,0,0,120),display.width,display.height)
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        self:addChild(self.bg)]]
        self.next = display.newSprite("#guideArrow.png")
        self.next:setRotation(-90)
        --self.next:setPosition(cc.p(self:getParent().levelGuide:getPositionX()-70,self:getParent().levelGuide:getPositionY()))
        self.next:setPosition(cc.p(display.cx - 380,display.cy + 170))
        --self.bg:addChild(self.next)
    end  
end
function GuideLayer:ShowFort(tag)
    if self.bgLable ~= nil then
        self.bgLable:removeFromParent()
        self.bgLable = nil 
        self.pop = nil
    end
    if self.m_clip ~= nil then
       self.m_clip:removeFromParent() 
       self.m_clip = nil
    end

    if tag == 5 then
        GameData.guide.step = self.step
        GameState.save(GameData)
        self.stepControl = false
        self.rect = display.newRect(cc.rect(display.left + 50,display.height-140, 120, 80))
        self.rect:setfill(true)
        self.m_clip = cc.ClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setRotation(90)
        self.next:setPosition(cc.p(display.left+130,display.height-150))
        self.bg:addChild(self.next)
        self.clickMes =cc.ui.UILabel.new({
            text = "点击头像选择兔子",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.left+160,
            y = display.height-150,
            })
        self.bg:addChild(self.clickMes)

        --rect2
        self.rectTwo = display.newRect(cc.rect(display.cx-60,display.cy-200, 70, 70))
        self.rectTwo:setfill(true)
        self.node = display.newNode()
        self.node:addChild(self.rectTwo)
        self.node:addChild(self.rect)
        self.m_clip:setStencil(self.node)

        self.nextTwo = display.newSprite("#guideArrow.png")
        self.nextTwo:setPosition(cc.p(display.cx-50,display.cy-130))
        self.bg:addChild(self.nextTwo)
        self.clickMesTwo = cc.ui.UILabel.new({
            text = "点击地面放置兔子",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx - 110,
            y = display.cy - 100,
            })
        self.bg:addChild(self.clickMesTwo)
        self.nextTwo:setVisible(false)
        self.clickMesTwo:setVisible(false)
    elseif tag == 2 then
        g_playScene.pause = true
        g_playScene:suspend(true)
        self.step = 12
        self.rect = display.newRect(cc.rect(display.cx-70,display.cy, 90, 150))
        self.rect:setfill(true)
        self.m_clip = cc.ClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx - 70,display.cy + 90))
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击兔子释放技能",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx - 100,
            y = display.cy + 150,
            })
        self.bg:addChild(self.clickMes)

        g_playScene.windfort = Forts[3].new({
            towerIdx = 3,
            leftRight = nil,--leftRight,
            level = 3,
            tilePt = cc.p(5,3),
            })
        g_playScene.fightLayer:addFort(g_playScene.windfort)
        g_playScene.windfort:init()
    elseif tag == 40 then
        GameData.guide.step = self.step
        GameState.save(GameData)
        self.stepControl = false
        self.rect = display.newRect(cc.rect(display.left + 50,display.height - 140, 120, 80))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)
        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setRotation(90)
        self.next:setPosition(cc.p(display.left+130,display.height-150))
        self.bg:addChild(self.next)
        self.clickMes =cc.ui.UILabel.new({
            text = "将泡泡兔拖动至图示地点",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.left+160,
            y = display.height-150,
            })
        self.bg:addChild(self.clickMes)
        --rect2
        self.rectTwo = display.newRect(cc.rect(display.cx + 60,display.cy - 200, 80, 80))
        self.rectTwo:setfill(true)
        self.node = display.newNode()
        self.node:addChild(self.rectTwo)
        self.node:addChild(self.rect)
        self.m_clip:setStencil(self.node)

        self.nextTwo = display.newSprite("#guideArrow.png")
        self.nextTwo:setPosition(cc.p(display.cx + 70,display.cy - 110))
        self.bg:addChild(self.nextTwo)
        self.clickMesTwo = cc.ui.UILabel.new({
            text = "放置兔子",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx + 10,
            y = display.cy - 80,
            })
        self.bg:addChild(self.clickMesTwo)
        self.nextTwo:setVisible(false)
        self.clickMesTwo:setVisible(false)
    elseif tag == 42 then
        self.stepControl = false
        self.step = 42
        self.rect = display.newRect(cc.rect(display.cx + 60,display.cy - 200, 80, 80))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx + 70,display.cy - 110))
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击兔子",
            size = 32,
            color = cc.c3b(0,0,255),
            x = display.cx + 10,
            y = display.cy - 80
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 43 then
        self.step = 43
        self.rect = display.newRect(cc.rect(display.cx + 60,display.cy - 130, 70, 70))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx + 70,display.cy - 60))
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击升级按钮",
            size = 32,
            color = cc.c3b(0,0,255),
            x = display.cx + 10,
            y = display.cy 
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 44 then
        self.step = 44
        self.rect = display.newRect(cc.rect(display.cx + 60,display.cy - 170, 70, 140))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx + 70,display.cy - 60))
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "再次点击升级按钮满级",
            size = 32,
            color = cc.c3b(0,0,255),
            x = display.cx + 10,
            y = display.cy 
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 45 then
        self.step = 45
        self.rect = display.newRect(cc.rect(display.cx + 60,display.cy - 190, 70, 100))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx + 70,display.cy - 60))
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击兔子释放技能",
            size = 32,
            color = cc.c3b(0,0,255),
            x = display.cx + 10,
            y = display.cy 
            })
        self.bg:addChild(self.clickMes)
    end
 
end
function GuideLayer:showItem()
    self.step = 10
    self.stepControl = false
    if self.pop ~= nil then
        self.pop:removeFromParent()
        self.pop = nil
    end
    self.rect = display.newRect(cc.rect(display.cx,display.cy-200, 90, 80))
    self.rect:setfill(true)
    self.m_clip = CCClippingNode:create(self.rect)
    self.m_clip:setInverted(true)
    self.m_clip:setAlphaThreshold(10) 
    self:addChild(self.m_clip)

    self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
    --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
    self.bg:setAnchorPoint(cc.p(0.5,0.5))
    self.bg:setPosition(cc.p(0,0))
    --self.bg:setContentSize(cc.size(display.width,display.height))
    self.m_clip:addChild(self.bg)

    self.next = display.newSprite("#guideArrow.png")
    self.next:setPosition(cc.p(display.cx,display.cy - 100))
    self.bg:addChild(self.next)
    self.clickMes = cc.ui.UILabel.new({
        text = Guide_Message[11],
        size = 24,
        color = cc.c3b(0,0,255),
        x = display.cx - 150,
        y = display.cy - 50,
        })
    self.bg:addChild(self.clickMes)

   
end
--15~28
function GuideLayer:ShowRabbit()
    g_playScene.pause = false
    g_playScene:suspend(true)
    GameData.guide.step = self.step
    GameState.save(GameData)
    if self.bgLable ~= nil then
        self.bgLable:removeFromParent()
        self.bgLable = nil 
        self.pop = nil
    end
    self.step = 16
    self.stepControl = false
    self.rabbitbg = cc.LayerColor:create(cc.c4b(0,0,0,210),display.width,display.height)
    --self.rabbitbg = display.newColorLayer(cc.c4b(0,0,0,210))
    self.rabbitbg:setAnchorPoint(cc.p(0.5,0.5))
    self.rabbitbg:setPosition(cc.p(0,0))
    --self.rabbitbg:setContentSize(cc.size(display.width,display.height))
    self:addChild(self.rabbitbg)
    self.titleMes = cc.ui.UILabel.new({
            text = "你获得了一个新兔子！",
            size = 48,
            color = cc.c3b(0,0,255),
            x = display.cx - 200,
            y = display.cy + 220,
            })
    self.rabbitbg:addChild(self.titleMes)
    self.rabbitSprite = display.newSprite("role/R-1-f.png", display.cx,display.cy + 50)
    self.rabbitSprite:setScale(2)
    self.rabbitbg:addChild(self.rabbitSprite)
    self.rabbitMes = cc.ui.UILabel.new({
            text = "牙膏兔",
            size = 48,
            color = cc.c3b(0,0,255),
            x = display.cx - 70,
            y = display.cy - 100,
            })
    self.rabbitbg:addChild(self.rabbitMes)

    cc.ui.UIPushButton.new({})
        :setButtonLabel("normal", cc.ui.UILabel.new({
            UILabelType = 2,
            text = "确定",
            align = ui.TEXT_ALIGN_CENTER,
            size = 56,
            color = cc.c3b(255,0,255),
        }))
        :onButtonClicked(function()
            self.rabbitbg:removeFromParent()
            self:GetMessage(19)
            self.step = 19
            self.stepControl = true         
        end)
        :pos(display.cx, display.cy - 200)
        :addTo(self.rabbitbg)
end
function GuideLayer:ShowRabbitHouse(tag)
    if self.m_clip ~= nil then
        self.m_clip:removeFromParent()
        self.m_clip = nil
    end
    if self.bgLable ~= nil then
        self.bgLable:removeFromParent()
        self.bgLable = nil
        self.pop = nil
    end
    if tag == 22 then
        self.rect = display.newRect(cc.rect(display.cx,80, 160, 50))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx - 110,100))
        self.next:setRotation(-45)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击这里进入兔子家",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx - 220,
            y = 140,
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 23 then
        if self.step == 23 then
            GameData.guide.step = self.step
            GameState.save(GameData)
        end
        self.stepControl = false
        --防止添加多层
        if self.step == 31 then
            self.stepControl = true
        end
        self.rect = display.newRect(cc.rect(display.width/4-10,display.height/3+10, 80, 50))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.width/4 + 60,display.height/3 - 20))
        self.next:setRotation(135)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击按钮",
            size = 48,
            color = cc.c3b(0,0,255),
            x = display.width/4 + 20,
            y = display.height/3 - 80,
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 24 then
        self.rect = display.newRect(cc.rect(100,display.height*3/4 - 10, 80, 100))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(180,display.height*3/4))
        self.next:setRotation(90)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击头像选择兔子",
            size = 32,
            color = cc.c3b(0,0,255),
            x = 220,
            y = display.height*3/4
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 25 then
        self.rect = display.newRect(cc.rect(display.cx,display.cy - 100, 70, 50))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx,display.cy - 170))
        self.next:setRotation(180)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击按钮开始升级",
            size = 32,
            color = cc.c3b(0,0,255),
            x = display.cx - 100,
            y = display.cy - 220
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 27 then
        self.stepControl = false
        self.rect = display.newRect(cc.rect(230,display.cy - 80, 210, 50))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)
        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx - 250,display.cy - 170))
        self.next:setRotation(180)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "点击按钮让兔子立刻完成升级",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx - 350,
            y = display.cy - 220
            })
        self.bg:addChild(self.clickMes)
    elseif tag == 28 then
        if self.step > 31 then
            --print("hello 31")
        else
            --print("hello 28")
            self.step = 28
        end
        
        self.rect = display.newRect(cc.rect(230,display.cy - 100, 120, 50))
        self.rect:setfill(true)
        self.m_clip = CCClippingNode:create(self.rect)
        self.m_clip:setInverted(true)
        self.m_clip:setAlphaThreshold(10) 
        self:addChild(self.m_clip)

        self.bg = cc.LayerColor:create(cc.c4b(255,255,255,0),display.width,display.height)
        --self.bg = display.newColorLayer(cc.c4b(255,255,255,0))
        self.bg:setAnchorPoint(cc.p(0.5,0.5))
        self.bg:setPosition(cc.p(0,0))
        --self.bg:setContentSize(cc.size(display.width,display.height))
      
        self.m_clip:addChild(self.bg)

        self.next = display.newSprite("#guideArrow.png")
        self.next:setPosition(cc.p(display.cx - 250,display.cy - 180))
        self.next:setRotation(180)
        self.bg:addChild(self.next)
        self.clickMes = cc.ui.UILabel.new({
            text = "收获兔子",
            size = 24,
            color = cc.c3b(0,0,255),
            x = display.cx - 300,
            y = display.cy - 230
            })
        self.bg:addChild(self.clickMes)
    end
end
function GuideLayer:FinishUpdate()
    if self.m_clip ~= nil then
        self.m_clip:removeFromParent()
        self.m_clip = nil
    end
    -- self.step = 35
    self:setTouchSwallowEnabled(true)
    self.rabbitbg = cc.LayerColor:create(cc.c4b(0,0,0,210),display.width,display.height)
    --self.rabbitbg = display.newColorLayer(cc.c4b(0,0,0,210))
    self.rabbitbg:setAnchorPoint(cc.p(0.5,0.5))
    self.rabbitbg:setPosition(cc.p(0,0))
    --self.rabbitbg:setContentSize(cc.size(display.width,display.height))
    self:addChild(self.rabbitbg)
    self.titleMes = cc.ui.UILabel.new({
            text = "      升级完成！",
            size = 48,
            color = cc.c3b(0,0,255),
            x = display.cx - 200,
            y = display.cy + 220,
            })
    self.rabbitbg:addChild(self.titleMes)
    self.rabbitSprite = display.newSprite("role/R-1-f.png", display.cx,display.cy + 50)
    self.rabbitSprite:setScale(2)
    self.rabbitbg:addChild(self.rabbitSprite)
    self.rabbitMes = cc.ui.UILabel.new({
            text = "泡泡兔",
            size = 48,
            color = cc.c3b(0,0,255),
            x = display.cx - 70,
            y = display.cy - 100,
            })
    self.rabbitbg:addChild(self.rabbitMes)

    cc.ui.UIPushButton.new({})
        :setButtonLabel("normal", cc.ui.UILabel.new({
            UILabelType = 2,
            text = "确定",
            align = ui.TEXT_ALIGN_CENTER,
            size = 48,
        }))
        :onButtonClicked(function()
            if self.step > 31 then
                self.step = 36
                self:GetMessage(36)                   
            else
                self.step = 29                     
                self:GetMessage(29)
            end 
            self.stepControl = true         
        end)
        :pos(display.cx, display.cy - 200)
        :addTo(self.rabbitbg)
end
return GuideLayer