--
-- Author: Wangzhihao
-- Date: 2014-10-08 16:38:27
--
local PropSelectLayer = class("PropSelectLayer",function() 
	return  display.newLayer("PropSelectLayer") 
end)
local ShopLayer = import("..views.ShopLayer")
function PropSelectLayer:ctor() 
	self.tLayer = cc.LayerColor:create(cc.c4b(0,0,0,150),display.width,display.height)
    self:addChild(self.tLayer)

    --[[self.itemsbg = cc.LayerColor:create(cc.c4b(255,255,255,255),300,150)
    self.itemsbg:setPosition(cc.p(display.cx-150,150))
    self.tLayer:addChild(self.itemsbg,5)
    
    self.label = cc.ui.UILabel.new({
                    text = "推荐道具->",
                    textAlign = ui.TEXT_ALIGN_LEFT,
                    size = 16,
                    x = 10,
                    y = 135,
                    color = cc.c3b(255,0,0),
                    })
    self.itemsbg:addChild(self.label)
    --coins
    self.selectedCoins = false
    self.moneyItem = cc.ui.UIPushButton.new({
        normal = "#home-R.png",
        disabled = "#home-R.png",
        pressed = "#home-R.png",
        })
        :onButtonClicked(function(event)
            if GameData.coinPackage ~= 0 then     
                if self.selectedCoins == false then                
                    self.selectedCoinSprite = display.newSprite("#selectDot.png",15,0)
                    self.moneyItem:addChild(self.selectedCoinSprite,5)
                    self.selectedCoins = true
                    self:getParent().moneyLabel:setString(""..self:getParent().money + 500)
                else
                    self.selectedCoinSprite:removeFromParent()
                    self.selectedCoins = false
                    self:getParent().moneyLabel:setString(""..self:getParent().money)
                end
            end
        end)
        :pos(100 , 60)
        :addTo(self.itemsbg)
        self:refreshCoin()
    --blood
    self.selectedBlood = false
    self.bloodItem = cc.ui.UIPushButton.new({
        normal = "#blood-1.png",
        disabled = "#blood-1.png",
        pressed = "#blood-1.png",
        })
        :onButtonClicked(function(event)
            if GameData.bloodPackage ~= 0 then
                if self.selectedBlood == false then                
                    self.selectedBloodSprite = display.newSprite("#selectDot.png",15,0)
                    self.selectedBloodSprite:setScale(0.5)
                    self.bloodItem:addChild(self.selectedBloodSprite,5)
                    self.selectedBlood = true
                    self:getParent():setHeart(MAX_HEART + 2, true)
                else
                    self.selectedBloodSprite:removeFromParent()
                    self.selectedBlood = false
                    self:getParent():setHeart(MAX_HEART, true)                    
                end
            end
        end)
        :pos(200 , 68)
        :addTo(self.itemsbg)
        self.bloodItem:setScale(2) 
        self:refreshBlood()
    --
    cc.ui.UIPushButton.new({})
        :setButtonLabel("normal", cc.ui.UILabel.new({
            UILabelType = 2,
            text = "道具说明",
            align = ui.TEXT_ALIGN_CENTER,
            size = 16,
            color = cc.c3b(255,0,255),
        }))
        :onButtonClicked(function()
            self:stopAllActions()
            self:ItemIntroduce()         
        end)
        :pos(250, 20)
        :addTo(self.itemsbg)]]

    self:PropNum()

end
function PropSelectLayer:refreshCoin()
    if GameData.coinPackage == 0 then
        self.addcoinsItem = cc.ui.UIPushButton.new({
            normal = "#add-2.png",
            disabled = "#add-2.png",
            pressed = "#add-3.png",
            })
            :onButtonClicked(function(event)
                self:stopAllActions()
                self.shopLayer = ShopLayer.new(4)
                self:addChild(self.shopLayer,5)
            end)
            :pos(20 , 25)
            :addTo(self.moneyItem)
            self.addcoinsItem:setScale(0.7)
    else
        self.coinsNum = cc.ui.UILabel.new({
                    text = ""..GameData.coinPackage.."",
                    textAlign = ui.TEXT_ALIGN_LEFT,
                    size = 16,
                    x = 15,
                    y = 15,
                    color = cc.c3b(255,0,0),
                    })
        self.moneyItem:addChild(self.coinsNum)
    end

end
function PropSelectLayer:refreshBlood()
    if GameData.bloodPackage == 0 then
        self.addbloodItem = cc.ui.UIPushButton.new({
            normal = "#add-2.png",
            disabled = "#add-2.png",
            pressed = "#add-3.png",
            })
            :onButtonClicked(function(event)
                self:stopAllActions()
                self.shopLayer = ShopLayer.new(4)
                self:addChild(self.shopLayer,5)    
            end)
            :pos(20 , 25)
            :addTo(self.bloodItem)
            self.addbloodItem:setScale(0.7)
    else
        self.bloodNum = cc.ui.UILabel.new({
                    text = ""..GameData.bloodPackage.."",
                    textAlign = ui.TEXT_ALIGN_LEFT,
                    size = 16,
                    x = 15,
                    y = 15,
                    color = cc.c3b(255,0,0),
                    })
        self.bloodItem:addChild(self.bloodNum)
    end

end
function PropSelectLayer:refresh()
    if self.coinsNum ~= nil then
        self.coinsNum:setString(""..GameData.coinPackage)
    else
        self.addcoinsItem:removeFromParent()
        self:refreshCoin()
    end
    if self.bloodNum ~= nil then
        self.bloodNum:setString(""..GameData.bloodPackage)
    else
        self.addbloodItem:removeFromParent()
        self:refreshBlood()
    end 
end
function PropSelectLayer:PropNum()
    self.numCount = {}
    local numberPic = {
        [1] = "#countThree.png",
        [2] = "#countTwo.png",
        [3] = "#countOne.png",
        [4] = "#countGo.png",
    }
    --[[self:performWithDelay(function()
        local countNumBg = display.newSprite("#countNumBg.png",display.cx,display.cy)
        self.tLayer:addChild(countNumBg)
        --countNumBg:setScale(0)
        countNumBg:runAction(cc.RotateBy:create(10,-360))
    end, 0.5)]]   
    for i =1,4 do
        self.numCount[i] = display.newSprite(numberPic[i],display.cx,display.cy)
        self.tLayer:addChild(self.numCount[i],2)  
        self.numCount[i]:setScale(0) 
        if i == 4 then
            self.numCount[i]:setScale(1.8)
            self.numCount[i]:setVisible(false)
            self.numCount[i]:runAction(transition.sequence({
                cc.DelayTime:create(0.5+0.7*(i-1)),
                cc.CallFunc:create(function()
                    self.numCount[i]:setVisible(true)
                    if i > 1 and self.numCount[i-1] ~= nil then
                        self.numCount[i-1]:removeFromParent()
                        self.numCount[i-1] = nil
                    end
                    SoundManager.playSound(GAME_SOUND.GO)
                end),
                cc.ScaleTo:create(0.17,1),
                cc.CallFunc:create(function()
                    local coutdownSprite = display.newSprite("#countdownEffect1.png",display.cx,display.cy+50)
                    coutdownSprite:setScale(2)
                    self.tLayer:addChild(coutdownSprite)
                    local frames = display.newFrames("countdownEffect%d.png", 1, 6)
                    local animation = display.newAnimation(frames, 0.1)
                    coutdownSprite:playAnimationOnce(animation,true)             
                end)
            }))
        else
            self.numCount[i]:runAction(transition.sequence({
                cc.DelayTime:create(0.5+0.7*(i-1)),
                cc.CallFunc:create(function()
                    if i > 1 and self.numCount[i-1] ~= nil then
                        self.numCount[i-1]:removeFromParent()
                        self.numCount[i-1] = nil
                    end
                    SoundManager.playSound(GAME_SOUND.Clock)
                end),
                cc.ScaleTo:create(0.2,1.5),
                cc.ScaleTo:create(0.1,1),
            }))
        end
    end
    self:performWithDelay(function()
        if self.numCount[4] ~= nil then
            self.numCount[4]:removeFromParent()
            self.numCount[4] = nil
        end
        self:removeFromParent()
        --self:useItem()
        g_playScene:start()
    end, 3.5)
    --[[self:performWithDelay(function()        
        self.numCount = display.newSprite("#countThree.png",display.cx,display.cy)
        self.tLayer:addChild(self.numCount)
        --音效
        SoundManager.playSound(GAME_SOUND.Clock)

        self:performWithDelay(function()
            if self.numCount ~= nil then
                self.numCount:removeFromParent()
                self.numCount = nil
            end
            self.numCount = display.newSprite("#countTwo.png",display.cx,display.cy)
            self.tLayer:addChild(self.numCount)
            --音效
            SoundManager.playSound(GAME_SOUND.Clock)

            self:performWithDelay(function()
                if self.numCount ~= nil then
                    self.numCount:removeFromParent()
                    self.numCount = nil
                end
                self.numCount = display.newSprite("#countOne.png",display.cx,display.cy)
                self.tLayer:addChild(self.numCount)
                --音效
                SoundManager.playSound(GAME_SOUND.Clock)

                self:performWithDelay(function()
                    if self.numCount ~= nil then
                        self.numCount:removeFromParent()
                        self.numCount = nil
                    end
                    self.numCount = display.newSprite("#countGo.png",display.cx,display.cy)
                    self.tLayer:addChild(self.numCount)
                    --音效
                    SoundManager.playSound(GAME_SOUND.GO)

                    self:performWithDelay(function()
                        self:removeFromParent()
                        --self:useItem()
                        g_playScene:start()
                    end, 1)

                end, 1)
    
            end, 1)
    
        end, 1)

    end, 0)]]
end
function PropSelectLayer:ItemIntroduce()
    self.itemsIntrobg = cc.LayerColor:create(cc.c4b(255,255,255,255),450,320)
	--self.itemsIntrobg = display.newColorLayer(cc.c4b(255,255,255,255))
    self.itemsIntrobg:setPosition(cc.p(display.cx-200,150))
    --self.itemsIntrobg:setContentSize(cc.size(450,320))
    self.tLayer:addChild(self.itemsIntrobg,5)
    self.itemsIntrobg:addNodeEventListener(cc.NODE_TOUCH_EVENT,function(event)
            return self:onTouch(event.name, event.x, event.y)
        end)
    self.itemsIntrobg:setTouchEnabled(true)
    self.itemsIntrobg:setTouchSwallowEnabled(true)
    self.itemIntrolabel = cc.ui.UILabel.new({
        text = "道具说明",
        textAlign = ui.TEXT_ALIGN_LEFT,
        size = 32,
        x = 150,
        y = 290,
        color = cc.c3b(255,0,0),
        })
    self.itemsIntrobg:addChild(self.itemIntrolabel)
    --
    self.leftSprite = display.newSprite("#home-R.png", 130, 180)
    self.rightSprite = display.newSprite("#blood-1.png", 320, 180)
    self.rightSprite:setScale(2)
    self.itemsIntrobg:addChild(self.leftSprite)
    self.itemsIntrobg:addChild(self.rightSprite)
    --
    self.leftIntrolabel = cc.ui.UILabel.new({
        text = "关卡出事金钱增\n加500。",
        textAlign = ui.TEXT_ALIGN_LEFT,
        size = 16,
        x = 90,
        y = 130,
        color = cc.c3b(255,0,0),
        })
    self.itemsIntrobg:addChild(self.leftIntrolabel)
    self.rightIntrolabel = cc.ui.UILabel.new({
        text = "提高守护两点生\n命上限。",
        textAlign = ui.TEXT_ALIGN_LEFT,
        size = 16,
        x = 280,
        y = 130,
        color = cc.c3b(255,0,0),
        })
    self.itemsIntrobg:addChild(self.rightIntrolabel)
    --
    cc.ui.UIPushButton.new({})
        :setButtonLabel("normal", cc.ui.UILabel.new({
            UILabelType = 2,
            text = "关  闭",
            align = ui.TEXT_ALIGN_CENTER,
            size = 48,
            color = cc.c3b(255,0,255),
        }))
        :onButtonClicked(function()
            if self.numCount ~= nil then
                self.numCount:removeFromParent()
                self.numCount = nil
            end
            self:PropNum()
            if self.itemsIntrobg ~= nil then
                self.itemsIntrobg:removeFromParent()
            end      
        end)
        :pos(220, 50)
        :addTo(self.itemsIntrobg)
end
function PropSelectLayer:useItem()
    local money = g_playScene.initMoney
	if self.selectedCoins then
        money = money + 500
        GameData.coinPackage = GameData.coinPackage - 1
        GameState.save(GameData)
    end
    local heart = MAX_HEART
    if self.selectedBlood then
        heart = heart + 2
        GameData.bloodPackage = GameData.bloodPackage - 1
        GameState.save(GameData)
    end
    g_playScene:setHeart(heart, true)
    g_playScene:changeMoney(money - g_playScene.money)
end
return PropSelectLayer