--
-- Author: Wangzhihao
-- Date: 2014-09-16 10:27:49
--
local FirstPayLayer = import("..views.FirstPayLayer")
local ShopLayer = class("ShopLayer",function() 
    return display.newLayer("ShopLayer") 
end)                   
function ShopLayer:ctor(type)
    -- 注册touch事件处理函数
    self:setNodeEventEnabled(true)
    self:addNodeEventListener(cc.NODE_TOUCH_EVENT,function(event)
            return self:onTouch(event.name, event.x, event.y)
        end)
	--背景
    display.newColorLayer(cc.c4b(0,0,0,128)):addTo(self,-1)
    self.bg = display.newSprite("#shop_bg.png", display.cx, display.cy - 55)
    self:addChild(self.bg)
    self.titleBg = display.newSprite("#shopTitleBg.png",self.bg:getContentSize().width/2,self.bg:getContentSize().height-42)
    self.bg:addChild(self.titleBg,2)
    --退出
    self.shopReturnButton = cc.ui.UIPushButton.new({
        normal = "#returnNew.png",
        pressed = "#returnNew.png",
        disabled = "#returnNew.png",
        })
        :onButtonPressed(function()
            self.shopReturnButton:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.shopReturnButton:setScale(1)
        end)
        :onButtonClicked(function(event)
            self:Remove()
        end)
        :pos(display.cx-380, display.height-50)
        :addTo(self)    
    self.block = {} 
    self.titlelabel = nil   
  	if type == 1 then
        self:getCarrotContent()
    elseif type == 2 then
  	    self:getDiamondContent()
    elseif type == 3 then
        self:getEnergyContent()
  	end

    -- if GameData.isDiamondPaid == nil then--首充提示
      --g_infoLayer.firstPayLayer = FirstPayLayer.new(true) 
      --g_infoLayer:getParent():addChild(g_infoLayer.firstPayLayer,20)
    -- end

end

function ShopLayer:Remove()
    if display.getRunningScene().__cname == "PlaySceneShell" then
        if  g_playScene.rebornLayer ~=  nil then
            g_playScene.rebornLayer:setVisible(true)
        end
    end
    if g_playScene ~= nil then
        if self:getParent().numCount ~= nil then
            self:getParent().numCount:removeFromParent()
            self:getParent().numCount = nil 
        end
        if display.getRunningScene().__cname == "PlaySceneShell" then
            display.getRunningScene().infoLayer:refresh()
        else
            self:getParent():refresh()
        end
    end

    self:removeFromParent()

    if g_infoLayer ~= nil then
        g_infoLayer.shopLayer = nil
    end
    if display.getRunningScene().__cname == "PlaySceneShell" then
        if display.getRunningScene().infoLayer ~= nil then
            display.getRunningScene().infoLayer:removeFromParent()
            display.getRunningScene().infoLayer = nil
        end
    end
end

function ShopLayer:onTouch(event, x, y)
    if event == "began" then
    elseif event == "moved" then
    elseif event == "ended" then
	end  
end

function ShopLayer:getCarrotContent()
    if self.titlelabel ~= nil then
        self.titlelabelRecord = self.titlelabel  
        self.titlelabel = nil
    end
    self.blockRecord = {}
    for i=1,4 do
        if self.block[i] ~= nil then
            self.blockRecord[i] = self.block[i]
        end
    end    
    local carrotMes = {
                carrotnum = {
                    [1] = 300,
                    [2] = 600,
                    [3] = 1500,
                    [4] = 4000,
                },
                diamond = {
                    [1] = 30,
                    [2] = 50,
                    [3] = 100,
                    [4] = 200,
                },

            }
    self.titlelabel = display.newSprite("#shopCoinTitle.png",self.titleBg:getContentSize().width/2,102)
    self.titleBg:addChild(self.titlelabel)      
  	self.block = {}
    self.shopCoinButton = {}
    for i = 1,4 do
        self.block[i] = display.newSprite("#shopBg.png")
        self.block[i]:setPosition(cc.p(self.bg:getContentSize().width/2+3+ (i-2.5)*200,self.bg:getContentSize().height/2+10))
        self.bg:addChild(self.block[i])
        --local coinPic = display.newSprite("#shop_coin.png",55,330)
        --self.block[i]:addChild(coinPic)
        local coinNumPic = display.newSprite("#coinNum"..i..".png",30,330)
        self.block[i]:addChild(coinNumPic)
        coinNumPic:setAnchorPoint(0,0.5)
        local picture = display.newSprite("#shop_coin"..i..".png",self.block[i]:getContentSize().width/2,225+3*(i-1))
        self.block[i]:addChild(picture)
        -- if i == 2  then
        --     local extraMoney = display.newSprite("#extraCoin500.png",102,120)
        --     self.block[i]:addChild(extraMoney)
        -- elseif i == 3 or i == 4 then
        --     local extraMoney = display.newSprite("#extraCoin800.png",102,120)
        --     self.block[i]:addChild(extraMoney)
        -- end
        self.shopCoinButton[i] = cc.ui.UIPushButton.new({
            normal = "#shopCommomBuy.png",
            pressed = "#shopCommomBuy.png",
            disabled = "#shopCommomBuy.png",
            })
            :onButtonPressed(function()
                self.shopCoinButton[i]:setScale(1.1)
                --音效
                SoundManager.playSound(GAME_SOUND.Button2)
            end)
            :onButtonRelease(function()
                self.shopCoinButton[i]:setScale(1)
            end)
            :onButtonClicked(function()
                if GameData.diamond >= carrotMes.diamond[i] then
                    GameData.diamond = GameData.diamond - carrotMes.diamond[i]
                    GameData.carrot = GameData.carrot + carrotMes.carrotnum[i]
                    AchievementData.checkDiamond(carrotMes.diamond[i])
                    g_infoLayer.carrotLabel:setString(""..GameData.carrot) 
                    if g_infoLayer.diamondLabel ~= nil then
                        g_infoLayer.diamondLabel:setString(""..GameData.diamond)
                    end
                    if display.getRunningScene().__cname == "HeroHouse" then 
                        if not VERSION_REDUCE then
                            for i=1,4 do
                                if GameData.heros["h"..i].level ~= HeroData[i].maxLevel and GameData.selectHero == i then
                                    if self:getParent().cuePoint ~= nil then
                                        self:getParent().cuePoint:removeFromParent()
                                        self:getParent().cuePoint = nil
                                    end
                                    if GameData.carrot >= ExcelHeroData[i][GameData.heros["h"..i].level].money or GameData.skillPoints.value >= 5 then --bbbbbb
                                        self:getParent().cuePoint = display.newSprite("#achievementTipPoint.png",58,22)
                                        self:getParent().cuePoint:setScale(0.7)
                                        self:getParent().war[i]:addChild(self:getParent().cuePoint)
                                    end 
                                end
                            end
                        end
                    end
                    if display.getRunningScene().__cname == "AchievementScene" then
                        display.getRunningScene():refresh()
                    elseif display.getRunningScene().__cname == "LevelScene" then
                        display.getRunningScene():newAchievementTip()
                    end
                    --DataEye
                         --厦门
                    -- if device.platform == "android" or device.platform == "ios" then
                    --     DCCoin.gain("钻石购买获得金币", "金币", carrotMes.carrotnum[i], GameData.carrot)
                    --     DCCoin.lost("消费钻石购买金币", "钻石", carrotMes.diamond[i], GameData.diamond)
                    --end  
                         --厦门
                else
                    if VERSION_REDUCE then
                        g_infoLayer:popLayer("钻石")
                    else
							--厦门金币的计费点
                              g_infoLayer:popLayer("钻石")
                        -- if kkFunc.simplifyPurchaseSwitch() then
                        --     kkFunc.simplifyPurchaseSdkCallBack(5)				 
                        -- else
                        --     g_infoLayer:popLayer("钻石")
                        -- end
							--厦门金币的计费点
                    end
                end              
            end)
            :align(display.CENTER,self.block[i]:getContentSize().width/2,60)
            :addTo(self.block[i])
        -- money
        local needmoney = display.newSprite("#coinNeedMoney"..i..".png",self.block[i]:getContentSize().width/2,117)    
        self.block[i]:addChild(needmoney)    
    end
    if self.titlelabelRecord ~= nil then
        self.titlelabelRecord:removeFromParent()  
        self.titlelabelRecord = nil
    end
    for i=1,4 do
        if self.blockRecord[i] ~= nil then
            self.blockRecord[i]:removeFromParent()
        end
    end    
end
function ShopLayer:getDiamondContent()
    if self.titlelabel ~= nil then
        self.titlelabelRecord = self.titlelabel  
        self.titlelabel = nil
    end
    self.blockRecord = {}
    for i=1,4 do
        if self.block[i] ~= nil then
            self.blockRecord[i] = self.block[i]
        end
    end  
    local carrotMes = {
            diamondnum = {
                [1] = 30,
                [2] = 66,
                [3] = 144,
                [4] = 280,
            },
            money = {
                [1] = 3,
                [2] = 6,
                [3] = 12,
                [4] = 20,
            },
            dollar = {
                [1] = 0.69,
                [2] = 0.99,
                [3] = 2.59,
                [4] = 3.59,
            },

        }
    self.titlelabel = display.newSprite("#shopDiamondTitle.png",self.titleBg:getContentSize().width/2,102)
    self.titleBg:addChild(self.titlelabel)                 
    self.block = {}
    self.shopDiamondButton = {}
    for i = 1,4 do
        self.block[i] = display.newSprite("#shopBg.png")
        self.block[i]:setPosition(cc.p(self.bg:getContentSize().width/2+3+ (i-2.5)*200,self.bg:getContentSize().height/2+10))
        self.bg:addChild(self.block[i])
        --local diamondPic = display.newSprite("#shop_diamond.png",55,330)
        --self.block[i]:addChild(diamondPic)
        local diamondNumPic = display.newSprite("#diamondNum"..i..".png",48,330)
        self.block[i]:addChild(diamondNumPic)
        diamondNumPic:setAnchorPoint(0,0.5)
        local picture = display.newSprite("#shop_diamond"..i..".png",self.block[i]:getContentSize().width/2,225+3*(i-1))
        self.block[i]:addChild(picture)
        -- if i == 2  then
        --     local extraMoney = display.newSprite("#extraDiamond50.png",102,120)
        --     self.block[i]:addChild(extraMoney)
        -- elseif i == 3 then
        --     local extraMoney = display.newSprite("#extraDiamond100.png",102,120)
        --     self.block[i]:addChild(extraMoney)
        -- end
        self.shopDiamondButton[i] = cc.ui.UIPushButton.new({
            normal = "#shopCommomBuy.png",
            pressed = "#shopCommomBuy.png",
            disabled = "#shopCommomBuy.png",
            })
            :onButtonPressed(function()
                self.shopDiamondButton[i]:setScale(1.1)
                --音效
                SoundManager.playSound(GAME_SOUND.Button2)
            end)
            :onButtonRelease(function()
                self.shopDiamondButton[i]:setScale(1)
            end)
            :onButtonClicked(function()               
                --领取首充奖励
                --[[GameData.isDiamondPaid = true
                if GameData.isDiamondPaid and (not GameData.isFirstGiftGot) then
                   g_infoLayer.firstPayLayer = FirstPayLayer.new(false)
                   g_infoLayer:getParent():addChild(g_infoLayer.firstPayLayer,20)
                end]]
                local function paycallback(result)
                    if result == "success" then
                        GameData.diamond = GameData.diamond + carrotMes.diamondnum[i]
                        g_infoLayer.diamondLabel:setString(""..GameData.diamond)
                        --DataEye
                             --厦门
                        -- if device.platform == "android" or device.platform == "ios" then
                        --     --DCCoin.gain("玩家付费", "CNY", carrotMes.money[i], carrotMes.money[i])
                        --     --DCCoin.lost("获得钻石", "CNY", carrotMes.money[i], 0)
                        --     DCVirtualCurrency.paymentSuccess("","获得钻石",carrotMes.money[i],"CNY",CHANLE_NAME)
                        -- end
                             --厦门
                        kkFunc.popPaySuccessLayer()
                    end
                end
                --[[local code = i+5 --购买钻石计费点从6开始
                if TEST_DEMO then
                    paycallback("success")
                else
                    kkFunc.Pay(code,paycallback)
                end]]
                local code

                if VERSION_REDUCE then
                    code = i+5 --购买钻石计费点从6开始
                else
                    code = 1+i --购买钻石计费点从2开始
                end
					--厦门钻石的计费点
                    code = i-1
                    print("--code--",code)

                if TEST_DEMO then
                   paycallback("success")
                else
                    --kkFunc.Pay(code,paycallback)
                    kkFunc.xmPay(code)
                end
					--厦门钻石的计费点
                --test
            end)
            :align(display.CENTER,self.block[i]:getContentSize().width/2,60)
            :addTo(self.block[i])
        -- money
        local needmoney
        if VERSION_REDUCE then
            needmoney = cc.ui.UILabel.new({
                UILabelType = 2,
                text = carrotMes.dollar[i].."$",
                size = 25,
                font = "fontEasy.ttf",
                color = cc.c3b(255,255,255),
                x = self.block[i]:getContentSize().width/2,
                y = 117,
                }):align(display.CENTER)
        else
            needmoney = display.newSprite("#diamondNeedMoney"..i..".png",self.block[i]:getContentSize().width/2,117)             
        end
        self.block[i]:addChild(needmoney)       
    end

    if self.titlelabelRecord ~= nil then
        self.titlelabelRecord:removeFromParent()  
        self.titlelabelRecord = nil
    end
    for i=1,4 do
        if self.blockRecord[i] ~= nil then
            self.blockRecord[i]:removeFromParent()
        end
    end 
end
function ShopLayer:getEnergyContent()
    if self.titlelabel ~= nil then
        self.titlelabelRecord = self.titlelabel  
        self.titlelabel = nil
    end
    self.blockRecord = {}
    for i=1,4 do
        if self.block[i] ~= nil then
            self.blockRecord[i] = self.block[i]
        end
    end  
    local carrotMes = {
        energynum = {
            [1] = 1,
            [2] = 5,
            [3] = 10,
            [4] = "无限体力",
        },
        diamond = {
            [1] = 10,
            [2] = 40,
            [3] = 60,
            [4] = 560,
        },

    } 
    self.titlelabel = display.newSprite("#shopEnergyTitle.png",self.titleBg:getContentSize().width/2,102)
    self.titleBg:addChild(self.titlelabel)              
    self.block = {}
    self.shopEnergyButton = {}
    for i = 1,4 do
        self.block[i] = display.newSprite("#shopBg.png")
        self.block[i]:setPosition(cc.p(self.bg:getContentSize().width/2+3+ (i-2.5)*200,self.bg:getContentSize().height/2+10))
        self.bg:addChild(self.block[i])
        if i ~= 4 then
            local energyPic = display.newSprite("#shop_energy.png",75,330)
            self.block[i]:addChild(energyPic)
        end
        local energyNumPic = display.newSprite("#energyNum"..i..".png",95,330)
        self.block[i]:addChild(energyNumPic)
        if VERSION_REDUCE then
            if i == 4 then
                energyNumPic:setScale(0.8)
            end
        end
        if i ~= 4 then
            energyNumPic:setAnchorPoint(0,0.5)
        else
            energyNumPic:setPosition(102,330)
        end
        local picture = display.newSprite("#shop_energy"..i..".png",self.block[i]:getContentSize().width/2,225+3*(i-1))
        self.block[i]:addChild(picture)
        self.shopEnergyButton[i] = cc.ui.UIPushButton.new({
            normal = "#shopCommomBuy.png",
            pressed = "#shopCommomBuy.png",
            disabled = "#shopCommomBuy.png",
            })
            :onButtonPressed(function()
                self.shopEnergyButton[i]:setScale(1.1)
                --音效
                SoundManager.playSound(GAME_SOUND.Button2)
            end)
            :onButtonRelease(function()
                self.shopEnergyButton[i]:setScale(1)
            end)
            :onButtonClicked(function()
                if GameData.diamond >= carrotMes.diamond[i] then
                    if i == 4 then
                        GameData.energy.value = -1
                        GameData.diamond = GameData.diamond - carrotMes.diamond[i]
                        AchievementData.checkDiamond(carrotMes.diamond[i])
                        g_infoLayer:EnergyLabelChange()                   
                        g_infoLayer:refresh()
                        self:Remove()  
                    else
                        GameData.diamond = GameData.diamond - carrotMes.diamond[i]
                        GameData.energy.value = GameData.energy.value + carrotMes.energynum[i]    
                        AchievementData.checkDiamond(carrotMes.diamond[i]) 
                        if GameData.energy.value >= 5 then
                            g_infoLayer:refresh()
                        else
                            g_infoLayer.energyLabel:setString(g_infoLayer:GetEnergyLabel())  
                        end 
                    end
                    --DataEye
                         --厦门
                    -- if device.platform == "android" or device.platform == "ios" then
                    --     DCCoin.lost("商城消耗", "钻石", carrotMes.diamond[i], GameData.diamond)
                    -- end
                         --厦门
                else
                   if VERSION_REDUCE then
                        g_infoLayer:popLayer("钻石")
                    else
							--厦门爱心的计费点
                            g_infoLayer:popLayer("钻石")
                        -- if kkFunc.simplifyPurchaseSwitch() then
                        --     kkFunc.simplifyPurchaseSdkCallBack(5)
                        -- else
                        --     g_infoLayer:popLayer("钻石")
                        -- end
							--厦门爱心的计费点
                    end
                end
            end)
            :align(display.CENTER,self.block[i]:getContentSize().width/2,60)
            :addTo(self.block[i]) 
            -- money
            local needmoney = display.newSprite("#energyNeedMoney"..i..".png",self.block[i]:getContentSize().width/2,117)    
            self.block[i]:addChild(needmoney)   
    end
    if self.titlelabelRecord ~= nil then
        self.titlelabelRecord:removeFromParent()  
        self.titlelabelRecord = nil
    end
    for i=1,4 do
        if self.blockRecord[i] ~= nil then
            self.blockRecord[i]:removeFromParent()
        end
    end 
end
return ShopLayer