--
-- Author: KK
-- Date: 2014-09-01 15:32:36
--
--
-- Author: KK
-- Date: 2014-05-12 13:25:37
--
--泳圈兔子弹

local MapInfo = import("..views.MapInfo")
local Bullet01 = import(".Bullet01")

local Bullet05 = class("Bullet05", Bullet01)

function Bullet05:ctor(params)    
	-- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Bullet05.super.ctor(self, params)

	self.rangeSq = math.pow(MapInfo.tileSize*3,2)
end

--三格内溅射伤害。
function Bullet05:angerHit()
	if self.target then
		self.target:updateHp(-self.attack, self.idx)
	end

	local x,y = self:getPosition()
	if self.target ~= nil then
		x,y = self.target:getPosition()
	end

	local bomb = display.newSprite("#"..self.pic,x,y)
	bomb:setScale(5)
	g_fightLayer:addChild(bomb, BaseZOrder.bullet)
	local bombAni = display.getAnimationCache(self.bombAniName)
	bomb:playAnimationOnce(bombAni, true)

	local enimies = g_fightLayer:getEnimiesAroundPos(cc.p(x,y), self.rangeSq)
	for i = 1, #enimies do
		if self.target ~= enimies[i] then
			enimies[i]:updateHp(-self.attack*0.5, self.idx)
		end
	end
	local things = g_fightLayer:getThingsAroundPos(cc.p(x,y), self.rangeSq)
	for i = 1, #things do
		g_fightLayer:hitThing(things[i],self.attack*0.5)
	end

	g_fightLayer:removeBullet(self)
end

return Bullet05