--
-- Author: KK
-- Date: 2014-08-11 14:05:11
--
--消防兔，去火

local MapInfo = import("..views.MapInfo")
local Bullet01 = import(".Bullet01")
local Bullet09 = class("Bullet09", Bullet01)

function Bullet09:ctor(params)    
	-- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Bullet09.super.ctor(self, params)
end

function Bullet09:hit()
	if self.target then
		x,y = self.target:getPosition()
		local bomb = display.newSprite("#"..self.pic,x,y)
		g_fightLayer:addChild(bomb, BaseZOrder.bullet)
		local bombAni = display.getAnimationCache(self.bombAniName)
		bomb:playAnimationOnce(bombAni, true)
		if self.target.buffers.fire then
			self.target:clearFire()
		end
		self.target:updateHp(-self.attack, self.idx)
	end
	g_fightLayer:removeBullet(self)
end

return Bullet09