--
-- Author: KK
-- Date: 2014-08-18 13:39:22
--
--蘑菇怪

local MapInfo = import("..views.MapInfo")
local Bullets = import(".Bullets")

local Enemy2 = import(".Enemy2")

local Enemy43 = class("Enemy43", Enemy2)

function Enemy43:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Enemy43.super.ctor(self, params)
    self.fly = true
end

--掉坑里
function Enemy43:dropPit()
	--竹蜻蜓没了就不能飞了。
	if self.fly then return end
	--什么也不做。正常飞。
	Enemy43.super.dropPit(self)	
end

--被拦路兔拦住
function Enemy43:addStopBuffer(params)
	--竹蜻蜓没了就不能飞了。
	if self.fly then return end
	--什么也不做。正常飞。
	Enemy43.super.addStopBuffer(self, params)
end

--被井盖兔拉进去
function Enemy43:pullByPit(pos)
	--竹蜻蜓没了就不能飞了。
	if self.fly then return end
	--什么也不做。正常飞。
	Enemy43.super.pullByPit(self, pos)
end

function Enemy43:takeOffEquipment()
	self:cantFly()
end

function Enemy43:cantFly()
	self.fly = false
	self.enemyPic:stopAllActions()
	self.moveAct = display.getAnimationCache(self.localData.actWalk)
	self.enemyPic:playAnimationForever(self.moveAct)	
end

--[[
--不要残血状态了
function Enemy43:updateHp(hpAdd, towerIdx)
	if self.fly and self.hp+hpAdd < self.hpMax*1/2 then
		self.fly = false
		self.moveAct = display.getAnimationCache(self.localData.actWalk)
		self.attackAct = display.getAnimationCache(self.localData.attackAct)
    	self.pic = self.localData.pic2
		if not self.buffers.skill then
			self.enemyPic:stopAllActions()
			self.enemyPic:playAnimationForever(self.moveAct)
		end
	end
	Enemy43.super.updateHp(self, hpAdd, towerIdx)
end
--]]

return Enemy43