--
-- Author: KK
-- Date: 2014-08-19 16:21:09
--
--玉米怪

local MapInfo = import("..views.MapInfo")
local Bullets = import(".Bullets")

local Enemy = import(".Enemy")

local Enemy46 = class("Enemy46", Enemy)

function Enemy46:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Enemy46.super.ctor(self, params)
    self.isHurtState = false
end

--死时
function Enemy46:die(towerIdx, isHero)
	local px,py = self:getPosition()
	local picExplode = display.newSprite("#"..self.localData.picExplode,px,py)
    --怪的锚点。
	if self.localData.anchor ~= nil then
		picExplode:setAnchorPoint(cc.p(unpack(self.localData.anchor)))
	else
    	picExplode:setAnchorPoint(cc.p(0.5, 10/picExplode:getContentSize().height))
	end
	if self.enemyPic:isFlippedX() then picExplode:setFlippedX(true) end
	g_fightLayer:addChild(picExplode, BaseZOrder.enemy)
	local ani = display.getAnimationCache(self.localData.actExplode)
	picExplode:playAnimationOnce(ani, true)
	--音效
	picExplode:performWithDelay(function ()
		SoundManager.playSound(GAME_SOUND.Enemy[46].skill1)
	end, 1.0)
	--爆炸伤害先不要了。
	--[[
	g_fightLayer:performWithDelay(function()
		local enimies = g_fightLayer:getEnimiesAroundPos(
			cc.p(px,py), math.pow(MapInfo.tileSize*2,2))
		for i = 1, #enimies do
			if enimies[i] ~= self then
				enimies[i]:updateHp(-30, 11) --玉米爆炸伤害，只有11号脸谱兔能让它爆炸
			end
		end
	end, 1)
	--]]
	Enemy46.super.die(self, towerIdx, isHero)
end

--[[
--不要残血状态了
function Enemy46:updateHp(hpAdd)
	if not self.isHurtState and self.hp+hpAdd <= self.hpMax*1/2 then
		self.isHurtState = true
		self.moveAct = display.getAnimationCache(self.localData.actMove2)
		self.attackAct = display.getAnimationCache(self.localData.attackAct2)
		if not self.buffers.skill then
			self.enemyPic:stopAllActions()
			self.enemyPic:playAnimationForever(self.moveAct)
		end
	end
	Enemy46.super.updateHp(self, hpAdd, towerIdx)
end
--]]

return Enemy46