--
-- Author: KK
-- Date: 2014-08-18 10:57:25
--
--大葱怪

local MapInfo = import("..views.MapInfo")
local Bullets = import(".Bullets")

local Enemy2 = import(".Enemy2")

local Enemy47 = class("Enemy47", Enemy2)

function Enemy47:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Enemy47.super.ctor(self, params)
    self.isHurtState = false
    self.actDo = display.getAnimationCache(self.localData.actDo)
end

--跨越动作
function Enemy47:crossOver()
	self.speed = self.speed * 2
	self.enemyPic:playAnimationOnce(self.actDo, false, function()
		self.enemyPic:setSpriteFrame(display.newSpriteFrame(self.pic))
		self.speed = self.speed / 2
	end)
end

--被拦路兔拦路
function Enemy47:addStopBuffer(params)
	self:crossOver()
end

--掉坑里
function Enemy47:dropPit()
	self:crossOver()
end

--被井盖兔拉进去
function Enemy47:pullByPit(pos)
	self:crossOver()
end

--[[
--不要残血状态了
function Enemy47:updateHp(hpAdd)
	if not self.isHurtState and self.hp+hpAdd <= self.hpMax*1/2 then
		self.isHurtState = true
    	self.pic = self.localData.pic2
		self.moveAct = display.getAnimationCache(self.localData.actMove2)
		self.attackAct = display.getAnimationCache(self.localData.attackAct2)
		self.actDo = display.getAnimationCache(self.localData.actDo2)
		if not self.buffers.skill then
			self.enemyPic:stopAllActions()
			self.enemyPic:playAnimationForever(self.moveAct)
		end
	end
	Enemy47.super.updateHp(self, hpAdd, towerIdx)
end
--]]

return Enemy47