--
-- Author: KK
-- Date: 2014-07-28 13:28:18
--
--吸尘兔

local MapInfo = import("..views.MapInfo")

local Fort = import(".Fort")

local Fort08 = class("Fort08", Fort)

function Fort08:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Fort08.super.ctor(self, params)
	self.canHitThing = false
end

--能吸带装备的怪、蘑菇怪（竹蜻蜓）、水萝卜（吸管）
function Fort08:checkTargetEnemy(en)
	return en.changeTo ~= nil or en.__cname == "Enemy43" or en.underWater or en.__cname == "Enemy41"
end

function Fort08:createBullet()
	if self.target == nil then
		self.isShooting = false
		return
	end
	
	self.target:takeOffEquipment({
		fortPos = cc.p(self:getPosition()),
	})

	self.isShooting = false
end

return Fort08