--
-- Author: KK
-- Date: 2014-08-11 12:16:57
--
--消防兔

local MapInfo = import("..views.MapInfo")

local Fort = import(".Fort")

local Fort09 = class("Fort09", Fort)

function Fort09:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Fort09.super.ctor(self, params)
end

function Fort09:checkTargetEnemy(en)
	return en.buffers.fire
end

function Fort09:getTargetEnemy()
	local en = Fort09.super.getTargetEnemy(self)
	if en then 
		return en
	end

	--消防兔如果找不到带火的还可以打普通怪。
	for i = 1, #g_fightLayer.enemies do
		if self:isEnemyInRange(g_fightLayer.enemies[i]) then
			if en == nil then
				en = g_fightLayer.enemies[i]
			elseif g_fightLayer.enemies[i].moveDist > en.moveDist then
				en = g_fightLayer.enemies[i]
			end
		end
	end
	return en
end

return Fort09