--
-- Author: KK
-- Date: 2015-01-16 14:23:54
--
--盖伦

local Hero = import(".Hero")

local Hero1 = class("Hero1", Hero)

function Hero1:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Hero1.super.ctor(self, params)
    self.hpBarHead:setPosition(0,100)
    self.attackAnchor = cc.p(0.42, 0.08)
	self.moveAnchor = cc.p(0.42, 0.08)
	self.waitAnchor = cc.p(0.42, 0.08)
end

--放技能前摇
function Hero1:showBeforeSkill(skill)
	if skill.idx == 1 then
		g_playScene:changeSpeedNormal()
		g_playScene:suspend(true)
		g_playScene:setCanTouch(false)
		self:setLocalZOrder(BaseZOrder.bullet+2)
		local layer = cc.LayerColor:create(cc.c4b(0,0,0,200))
		g_fightLayer:addChild(layer, BaseZOrder.bullet+1)
		layer:setOpacity(0)
		layer:runAction(cc.FadeTo:create(0.2,200))
		self.heroPic:runAction(transition.sequence({
			cc.ScaleTo:create(0.2,1.2),
			cc.Animate:create(self.magicAni),
		}))
		--放在上面的动作里会被打断出Bug。单独拿出来做。
		self:performWithDelay(function()
			self.heroPic:setSpriteFrame(display.newSpriteFrame(self.data.pic))
			layer:removeFromParent()
			g_playScene:suspend(true)
			skill:execute()
		end, 1.2)
	elseif skill.idx == 2 then
		skill:execute()
	end
end

return Hero1