--
-- Author: KK
-- Date: 2014-11-12 09:58:00
--
--回复

local Skill = import(".Skill")
local Skill06 = class("Skill06", Skill)

function Skill06:ctor(params)
    -- 如果继承类覆盖了 ctor() 构造函数，那么必须手动调用父类构造函数
    -- 类名.super 可以访问指定类的父类
    Skill06.super.ctor(self, params)
    self.heal = self.data.heal
end

function Skill06:execute()
	local sprite = display.newSprite("#s06_1.png")
	local x,y = self.heroPic:getPosition()
	sprite:setPosition(x+self.heroPic:getContentSize().width/2,y+self.heroPic:getContentSize().height/2)
	self.heroPic:addChild(sprite)
	local ani = display.getAnimationCache("h02_s06")
	sprite:playAnimationOnce(ani, true, function()	
		self.hero:updateHp(self.heal)
		self:endSkill()
	end)	
	--音效
    SoundManager.playSound(GAME_SOUND.Hero[2].skill3)	
end

return Skill06
