--
-- Author: KK
-- Date: 2014-04-16 15:11:07
--
--loading过场云

local LoadingLayer = class("LoadingLayer", function()
    return display.newLayer("LoadingLayer")
end)

function LoadingLayer:ctor(params)
    self.params = params
    if params.loadType == "out" then
        self:cloudOut()
    else
        self:cloudComeIn()
    end
end

function LoadingLayer:cloudComeIn()
    --LOADING_ASYNC = false
    local cloud1 = display.newSprite("pic/whiteCloud.png",display.cx-1600,display.cy+200)
    cloud1:setScale(2.2)
    self:addChild(cloud1,600)
    local cloud2 = display.newSprite("pic/whiteCloud.png",display.cx+1600,display.cy-200)
    cloud2:setScale(2.2)
    self:addChild(cloud2,600)
    cloud1:runAction(transition.sequence({
        cc.MoveBy:create(1,cc.p(1600,0)),
    }))
    cloud2:runAction(transition.sequence({
        cc.MoveBy:create(1,cc.p(-1600,0)),
        cc.CallFunc:create(function()
        app:loading(self.params)
        end)
    }))
end

function LoadingLayer:cloudOut()
    self.whiteCloud1 = display.newSprite("pic/whiteCloud.png",display.cx,display.cy+200)
    self.whiteCloud1:setScale(2.2)
    self:addChild(self.whiteCloud1,600)
    self.whiteCloud2 = display.newSprite("pic/whiteCloud.png",display.cx,display.cy-200)
    self.whiteCloud2:setScale(2.2)
    self:addChild(self.whiteCloud2,600)

    self.whiteCloud1:runAction(transition.sequence({
        cc.MoveBy:create(2,cc.p(-1600,0)),
    }))
    self.whiteCloud2:runAction(transition.sequence({
        cc.MoveBy:create(2,cc.p(1600,0)),
        cc.CallFunc:create(function()
            if self.params.callback ~= nil then
                self.params.callback()
            end
            self:removeFromParent()
        end)
    }))
end

return LoadingLayer