--
-- Author: Hao
-- Date: 2015-05-26
--

local RebornLayer = class("RebornLayer",function() 
	return  display.newLayer("RebornLayer") 
end)

function RebornLayer:ctor()
    --奖励
    self.energyCount = 5
    self.coinCount = 5000
    self.diamondCount = 20--暂定
	display.newColorLayer(cc.c4b(0,0,0,128)):addTo(self)
    --self:setNodeEventEnabled(true)
	self:setTouchSwallowEnabled(true)
    local bgPic = "#paySuccessLayer.png"
    if VERSION_REDUCE then
        bgPic = "#rebornLayerBG.png"
    end
	local Bg = display.newSprite(bgPic,display.cx,display.cy)
	self:addChild(Bg)

    if not VERSION_REDUCE then
        local label = cc.ui.UILabel.new({
            UILabelType = 2,
            font = "fontCommon.TTF",
            text = "购买"..self.diamondCount.."钻石使守护点重生",
            size = 24,
            color = cc.c3b(255,255,255),
            x = Bg:getContentSize().width/2,
            y = 165,
            }):align(display.CENTER)
        Bg:addChild(label)
    end
    local subx,suby
    local getBtnPic = "#paySuccessBtn.png"
    if VERSION_REDUCE then
        subx = 30
        suby = 30
        getBtnPic = "#buttonSure.png"
    else
        subx = 35
        suby = 40
    end

    self.buttonBack = cc.ui.UIPushButton.new({
    normal = "#buttonCancel.png",
    pressed = "#buttonCancel.png",
    disabled = "#buttonCancel.png",
    })
    :onButtonPressed(function()
        self.buttonBack:setScale(1.1)
        --音效
        SoundManager.playSound(GAME_SOUND.Button2)
    end)
    :onButtonRelease(function()
        self.buttonBack:setScale(1)
    end)
    :onButtonClicked(function(event)
        g_playScene.pause = false
        self:getParent():showResult(false)
        self:Remove()
    end)
    :pos(Bg:getContentSize().width-subx,Bg:getContentSize().height-suby)
    :addTo(Bg)

    
    self.buttonGet = cc.ui.UIPushButton.new({
        normal = getBtnPic,
        pressed = getBtnPic,
        disabled = getBtnPic,
        })
        :onButtonPressed(function()
            self.buttonGet:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.buttonGet:setScale(1)
        end)
        :onButtonClicked(function(event)
            if VERSION_REDUCE then
                -- local function paycallback(result)
                --     if result == "success" then
                --         kkFunc.popPaySuccessLayer()
                --         self:getParent():Reborn()
                --         self:Remove()
                --         --DataEye
                --         if device.platform == "android" or device.platform == "ios" then
                --             DCVirtualCurrency.paymentSuccessInLevel("","复活守护点",2,"CNY",CHANLE_NAME,"第"..g_playScene.level.."关")
                --         end
                --     end
                -- end
                -- if TEST_DEMO then
                --     paycallback("success")
                -- else
                --     kkFunc.Pay(4,paycallback)
                -- end
                if GameData.diamond >= 20 then
                    GameData.diamond = GameData.diamond - 20
                    GameState.save(GameData)
                    self:getParent():Reborn()
                    self:Remove()
                else
                    self.priceNum:setString("Diamond is insufficient")
                    self.buttonBack:removeFromParent()
                    self:performWithDelay(function()
                        self:getParent():showResult(false)
                        self:Remove()
                    end, 2.5)
                end
            else
                if GameData.diamond >= self.diamondCount then
                    GameData.diamond = GameData.diamond - self.diamondCount
                    GameState.save(GameData)
                    self:getParent():Reborn()
                    self:Remove()
                else
                    g_playScene.rebornLayer:setVisible(false)
                    if VERSION_REDUCE then
                        kkFunc.popLayer("钻石")
                    else
                        --厦门修改
                         kkFunc.popLayer("钻石",true)
                        -- if kkFunc.simplifyPurchaseSwitch() then
                        --     kkFunc.simplifyPurchaseSdkCallBack(5)
                        -- else
                        --     kkFunc.popLayer("钻石",true)
                        -- end
                        --厦门修改
                    end
                end 
            end                
        end)
        :pos(Bg:getContentSize().width/2,70)
        :addTo(Bg)
    if VERSION_REDUCE then
        self.priceNum = cc.ui.UILabel.new({
            UILabelType = 2,
            text = kkFunc.getVersionPrepareText("守护点复活",20),
            size = 25,
            font = "fontEasy.ttf",
            color = cc.c3b(255,255,255),
            x = Bg:getContentSize().width/2,
            y = 165,
        }):align(display.CENTER):addTo(Bg)
        self.buttonGet:setPositionY(70)
    end
    -- local energyNum = cc.ui.UILabel.new({
    --         UILabelType = 1,
    --         font = "fontNewLayer.fnt",
    --         text = ""..self.energyCount,
    --         x = 275,
    --         y = 187,
    --     }):align(display.CENTER):addTo(Bg)
    -- local coinNum = cc.ui.UILabel.new({
    --     UILabelType = 1,
    --     font = "fontNewLayer.fnt",
    --     text = ""..self.coinCount,
    --     x = 500,
    --     y = 187,
    -- }):align(display.CENTER):addTo(Bg)
    -- local priceNum = cc.ui.UILabel.new({
    --     UILabelType = 1,
    --     font = "fontNewLayer.fnt",
    --     text = "2",
    --     x = 255,
    --     y = 143,
    -- }):align(display.CENTER):addTo(Bg)
    -- priceNum:setScale(0.7)
end

function RebornLayer:Remove()
    self:getParent().rebornLayer = nil
    self:removeFromParent()
end
-- function RebornLayer:onExit()
	
-- end

return RebornLayer