--
-- Author: Wangzhihao
-- Date: 2015-07-17 14:22:10
--
local ServiceLayer = class("ServiceLayer",function() 
	return  display.newLayer("ServiceLayer") 
end)
function ServiceLayer:ctor()
	self:setTouchSwallowEnabled(true)
	local servicePic 
	local posX,posY
	if not AIGAME_SERVICE then--联通移动
		servicePic = "pic/Service2.png"
		posX = 458
		posY = 250
	else--爱游戏
		servicePic = "pic/Service1.png"
		posX = 458
		posY = 430
	end
	self.serviceBg = display.newSprite(servicePic,display.cx,display.cy)
	self:addChild(self.serviceBg)
	self.serviceReturn = cc.ui.UIPushButton.new({
        normal = "#buttonCancel.png",
        pressed = "#buttonCancel.png",
        disabled = "#buttonCancel.png",
        })
        :onButtonPressed(function()
            self.serviceReturn:setScale(1.1)
            --音效
            SoundManager.playSound(GAME_SOUND.Button2)
        end)
        :onButtonRelease(function()
            self.serviceReturn:setScale(1)
        end)
        :onButtonClicked(function(event)
    		self:removeFromParent()
        end)
        :pos(posX,posY)
        :addTo(self.serviceBg)
end
return ServiceLayer